<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use App\Adesivo;
use Redirect;
use Session;

class AdesivosController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $adesivos = Adesivo::all();
        return view('adesivos.show', compact('adesivos'));
    }

    public function create() 
    {
        $liderAux = User::where('email', '!=', 'admin@lideranca.com')
            ->where('status', 1)
            ->orWhere('status', 2)
            ->get();
        $lider_name = $liderAux->pluck('name');
        return view('adesivos.create', compact('lider_name'));
    }

    public function store(Request $request)
    {
        $input = $request->all();
        $lider = User::where('name', $input['lider_name'])->first();
        $input['lider_id'] = $lider->id;
        Adesivo::create($input);
        Session::flash('flash_message', 'Cadastro realizado com sucesso!');
        return Redirect::to('adesivos/create');

    }
    
    public function edit($id) 
    {
        $adesivo = Adesivo::find($id);
        $liderAux = User::where('email', '!=', 'admin@lideranca.com')
            ->where('status', 1)
            ->orWhere('status', 2)
            ->get();
        $lider_name = $liderAux->pluck('name');
        return view('adesivos.edit', compact('lider_name', 'adesivo'));
    }

    public function update(Request $request)
    {
        $input = $request->all();
        Adesivo::where('id', $input['id'])->update( array(
            'lider_name' => $input['lider_name'],
            'placa' => $input['placa'],
            'valor' => $input['valor']
        ));

        Session::flash('flash_message', 'Cadastro atualizado com sucesso!');
        return Redirect::to('adesivos');
    }

    public function destroy(Request $request)
    {
        $input = $request->all();
        Adesivo::where('id', $input['adesivoId'])->delete();
        return;
    }
}
