<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    protected $username;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
        $this->username = $this->findUsername();
    }

      /**
     * Get the login username to be used by the controller.
     *
     * @return string
     */
    public function findUsername()
    {
        $login = request()->input('login');
        
       
 
        $fieldType = filter_var($login, FILTER_VALIDATE_EMAIL) ? 'email' : 'whatsapp';

        if( $fieldType == 'email'){
            request()->merge([$fieldType => $login]);
        }
        else if($fieldType == 'whatsapp'){
            request()->merge([$fieldType => "(".substr($login, 0, 2).") ".substr($login, 2, 5)."-".substr($login,7)]);
        }

        return $fieldType;
    }

    public function username()
    {
        return $this->username;
    }
}
