<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use Redirect;
use Session;
use Auth;
use App\Cockpit;
use App\Client;
use App\User;

class CockpitController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }
    
    public function index()
    {
        $eleitores = Client::where('status', '!=', 0)->count();
        $liderancas = User::where('status', '!=', 0)->where('id', '!=', 1)->count();
        $totalVotosAtual = $eleitores + $liderancas;
        $cockpit = Cockpit::take(1)->get();
        $desempenhoEleitores = 0;
        $desempenhoLideranca = 0;
        $desempenhoVotos = 0;
        $liderancasMeta = 0;
        $liderancasMeta = 0;
        $eleitoresMeta = 0;
        if (count($cockpit) > 0) {
            $liderancasMeta = $cockpit[0]->liderancas * (2 ** $cockpit[0]->meta_liderancas) - (($cockpit[0]->liderancas * (2 ** $cockpit[0]->meta_liderancas)) * $cockpit[0]->descarte / 100);
            $desempenhoLideranca = ($liderancas * 100) / $liderancasMeta;

            $desempenhoVotos = ($totalVotosAtual) * 100 / $cockpit[0]->votos_previsao;

            $eleitoresMeta = $cockpit[0]->votos_previsao - $liderancasMeta;
            $desempenhoEleitores = ($eleitores * 100) / ($cockpit[0]->votos_previsao - $liderancasMeta);
            
        }
        return view('cockpit.show', \compact('cockpit', 'eleitores', 'liderancas', 'totalVotosAtual', 'desempenhoEleitores',
            'desempenhoLideranca', 'desempenhoVotos', 'liderancasMeta', 'eleitoresMeta'));
    }

    public function store(Request $request)
    {
        $input = $request->all();
        Cockpit::truncate();
        Cockpit::create($input);
        Session::flash('flash_message', 'Sua campanha está iniciada!');
        return Redirect::to('cockpit/index');

    }
}
