<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\User;
use Auth;
use App\Combustivel;
use Redirect;
use Session;

class CombustivelController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $combustiveis = Combustivel::all();
        return view('combustivel.show', compact('combustiveis'));
    }

    public function create() 
    {
        $liderAux = User::where('email', '!=', 'admin@lideranca.com')
            ->where('status', 1)
            ->orWhere('status', 2)
            ->get();
        $lider_name = $liderAux->pluck('name');
        return view('combustivel.create', compact('lider_name'));
    }

    public function store(Request $request)
    {
        $input = $request->all();
        $lider = User::where('name', $input['lider_name'])->first();
        $input['lider_id'] = $lider->id;
        $combustivel = Combustivel::create($input);

        Session::flash('flash_message', 'Cadastro realizado com sucesso!');
        return Redirect::to('combustivel/create');
    }

    public function storePrint(Request $request)
    {
        $input = $request->all();
        $lider = User::where('name', $input['lider_name'])->first();
        $input['lider_id'] = $lider->id;
        $input['responsavel'] = Auth::user()->name;
        $combustivel = Combustivel::create($input);
        return response()->json($combustivel);
    }

    public function print($id)
    {
        $combustivel = Combustivel::find($id);
        return view('combustivel.print', compact('combustivel'));
    }
    
    public function edit($id) 
    {
        $combustivel = Combustivel::find($id);
        $liderAux = User::where('email', '!=', 'admin@lideranca.com')
            ->where('status', 1)
            ->orWhere('status', 2)
            ->get();
        $lider_name = $liderAux->pluck('name');
        return view('combustivel.edit', compact('lider_name', 'combustivel'));
    }

    public function update(Request $request)
    {
        $input = $request->all();
        $lider = User::where('name', $input['lider_name'])->first();
        $input['lider_id'] = $lider->id;
        Combustivel::where('id', $input['id'])->update( array(
            'lider_id' => $input['lider_id'],
            'lider_name' => $input['lider_name'],
            'placa' => $input['placa'],
            'valor' => $input['valor']
        ));

        Session::flash('flash_message', 'Cadastro atualizado com sucesso!');
        return Redirect::to('combustivel');
    }

    public function destroy(Request $request)
    {
        $input = $request->all();
        Combustivel::where('id', $input['combustivelId'])->delete();
        return;
    }

    public function fechamento()
    {
        return view('combustivel.fechamento');
    }

    public function checkControle(Request $request)
    {
        $input = $request->all();
        $combustivel = Combustivel::where('id', $input['controle'])->where('status', 0)->first();
        if ($combustivel) {
            $combustivel->status = 1;
            $combustivel->save();
            return \response()->json($combustivel);
        } else {
            return \response()->json(false);
        }
    }

    public function setControle(Request $request)
    {
        $input = $request->all();
        $combustivel = Combustivel::where('id', $input['controle'])->first();
        if ($combustivel) {
            $combustivel->status = 0;
            $combustivel->save();
            return \response()->json($combustivel);
        } else {
            return \response()->json(false);
        }
    }
}
