<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\User;
use App\Despesa;
use App\Grupo;
use Redirect;
use Session;
use Auth;
use DB;

class DespesasController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $despesas = Despesa::with('grupo')->orderBy('data', 'desc')->get();
        return view('despesas.show', compact('despesas'));
    }

    public function create() 
    {
        $grupos = Grupo::all();
        return view('despesas.create', compact('grupos'));
    }

    public function store(Request $request)
    {
        $input = $request->all();
        $input['responsavel'] = Auth::user()->name;
        Despesa::create($input);
        Session::flash('flash_message', 'Cadastro realizado com sucesso');
        return Redirect::to('despesas/index');
    }
        
    public function edit($id) 
    {
        $grupos = Grupo::all();
        $despesa = Despesa::find($id);
        return view('despesas.edit', compact('despesa', 'grupos'));
    }

    public function update(Request $request)
    {
        $input = $request->all();
        $input['responsavel'] = Auth::user()->name;
        Despesa::where('id', $input['id'])->update(
            [
            'descricao' => $input['descricao'],
            'data' => $input['data'],
            'valor' => $input['valor'],
            'responsavel' => $input['responsavel'],
            'grupo_id' => $input['grupo_id']
            ]
        );

        Session::flash('flash_message', 'Cadastro atualizado com sucesso!');
        return Redirect::to('despesas');
    }

    public function destroy(Request $request)
    {
        $input = $request->all();
        Despesa::where('id', $input['despesaId'])->delete();
        return;
    }
}
