<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\User;
use App\Grupo;
use Redirect;
use Session;
use Auth;

class GruposController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $grupos = Grupo::all();
        return view('grupos.show', compact('grupos'));
    }

    public function create() 
    {
        return view('grupos.create');
    }

    public function store(Request $request)
    {
        $input = $request->all();
        Grupo::create($input);
        Session::flash('flash_message', 'Cadastro realizado com sucesso!');
        return Redirect::to('grupos/create');

    }
    
    public function edit($id) 
    {
        $grupo = Grupo::find($id);
        return view('grupos.edit', compact('grupo'));
    }

    public function update(Request $request)
    {
        $input = $request->all();
        Grupo::where('id', $input['id'])->update( array(
            'nome' => $input['nome']
        ));

        Session::flash('flash_message', 'Cadastro atualizado com sucesso!');
        return Redirect::to('grupos');
    }

    public function destroy(Request $request)
    {
        $input = $request->all();
        Grupo::where('id', $input['grupoId'])->delete();
        return;
    }
}
