<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use App\Client;
use App\Atendimento;
use App\Meta;
use DB;
use Auth;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        if (Auth::user()->status == 0) {
            Auth::logout();
            $request->session()->invalidate();
            $request->session()->regenerateToken();
            return redirect('/');
        } else {
            if (Auth::user()->perfil == 2) {
                $qtdLider = User::where('lideranca_id', Auth::user()->id)->where('status', '!=', 0)->where('id', '!=', 1)->count();
                $qtdEleitores = Client::where('cabo_id', Auth::user()->id)->where('status', '!=', 0)->count();
            } else {
                $qtdLider = User::where('status', '!=', 0)->where('id', '!=', 1)->count();
                $qtdEleitores = Client::where('status', '!=', 0)->count();
            }
            return view('home', compact('qtdLider', 'qtdEleitores'));
        }
       
    }
}
