<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use DB;
use App\Link;
use Redirect;
use Session;
use Auth;
use Image;

class LinksController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function create() 
    {
        $biolink = Link::all()->take(1);
        $configs = DB::table('configs')->first();
        return view('links.create', compact('biolink', 'configs'));
    }

    public function store(Request $request) 
    {
        $logoName = time();
        $biolink = Link::find(1);
        if ($biolink != null) {
            if ($request->hasFile('santinhoInputFile') && $request->file('santinhoInputFile')->isValid()) {
                $image = $request->file('santinhoInputFile');
                $img = Image::make($image->path());
                $img->resize(600, 600, function ($constraint) {
                    $constraint->aspectRatio();
                });
                $img->save($logoName . '.' . $image->getClientOriginalExtension());
                Link::where('id', 1)->update(
                    ['biolink' => $request->jsonResult, 
                    'url_image' => $logoName . '.' . $image->getClientOriginalExtension()]);
            } else {
                Link::where('id', 1)->update(
                    ['biolink' => $request->jsonResult]);
            }
        } else {
            $biolink = new Link;
            if ($request->hasFile('santinhoInputFile') && $request->file('santinhoInputFile')->isValid()) {
                $image = $request->file('santinhoInputFile');
                $img = Image::make($image->path());
                $img->resize(600, 600, function ($constraint) {
                    $constraint->aspectRatio();
                });
                $img->save($logoName . '.' . $image->getClientOriginalExtension());
                $biolink->url_image = $logoName . '.' . $image->getClientOriginalExtension();
            }
            $biolink->biolink = $request->jsonResult;
            $biolink->save();
        }

        Session::flash('flash_message', 'Cadastro realizado com sucesso.');
        return Redirect::to('links/create');
    }
}
