<?php

namespace App\Http\Controllers;

use Carbon\Carbon;
use App\Meta;
use Illuminate\Http\Request;
use Auth;
use App\User;
use App\Client;
use App\Atendimento;
use DB;

class RelatorioController extends Controller
{
    public function __construct(){
        $this->middleware('auth');
    }

    public function metas()
    {
        $liderancas = User::where('status', '!=', 0)->where('id', '!=', 1)->get();
        $arrayMetas = [];
        foreach ($liderancas as $key => $value) {
            $objMetas = new \stdClass();
            $objMetas->lideranca_nome = $value->name;
            $objMetas->metaLideranca = $value->meta_lideranca;
            $objMetas->qtdLideranca = User::where('lideranca_id', $value->id)->where('status', '!=', 0)->count();
            $objMetas->metaEleitores = $value->meta_eleitores;
            $objMetas->qtdEleitores = Client::where('cabo_id', $value->id)->where('status', '!=', 0)->count();
            $objMetas->instagram = $value->instagram;
            $objMetas->whatsapp = $value->whatsapp;
            array_push($arrayMetas, $objMetas);
        }

        return view('relatorios.metas', compact('arrayMetas'));
    }

    public function estatistico()
    {
        $users = User::where('status', '!=', 0)->where('id', '!=', 1)->count();
        $clients = Client::where('status', '!=', 0)->count();

        $receipts = Client::select('*',DB::raw('IFNULL(zona_regiao,"No informado") as regiao'), DB::raw('count(*) as total'))
            ->where('status', '!=', 0)
            ->groupBy('zona_regiao')
            ->pluck('total', 'regiao')->all();

        $receipts2 = Client::select('*',DB::raw('IFNULL(bairro,"No informado") as bairro'), DB::raw('count(*) as total'))
            ->where('status', '!=', 0)
            ->groupBy('bairro')
            ->pluck('total', 'bairro')->all();

        $query = DB::table('clients')
            ->join('users', 'clients.cabo_id', '=', 'users.id')
            ->select('*',DB::raw('IFNULL(users.name,"No informado") as cabo'), DB::raw('count(*) as total'))
            ->groupBy('clients.cabo_id')
            ->where('clients.status', '!=', 0)
            ->pluck('total', 'cabo')->all();
      
        $data = new \stdClass;
        $data->chart = [
            array_values($receipts),
            array_keys($receipts)
        ]; 
        
        $data->chart1 = [
            array_values($query),
            array_keys($query)
        ];  
        $data->chart2 = [
            array_values($receipts2),
            array_keys($receipts2)
        ];
       
        return view('relatorios.estatistico', compact('users', 'clients', 'data'));
    }
}
