<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use Auth;
use App\Reuniao;
use App\CheckinReuniao;
use App\User;
use Session;
use Redirect;

class ReunioesController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index() 
    {
        $data_base = date('Y-m-d');
        $data_inicial = date('Y-m-01', strtotime($data_base));
        $data_final = date('Y-m-t', strtotime($data_base));

        $result = Reuniao::whereBetween('data_hora', [$data_inicial, $data_final])->get();

        $arrayEvents = [];
        foreach ($result as $key => $schedule) {
            $obj = new \StdClass;
            $obj->title = $schedule->objetivo . ' (' . $schedule->local . ' - ' .  $schedule->responsavel . ')';
            $obj->description = $schedule->objetivo . ' (' . $schedule->local . ' - ' .  $schedule->responsavel . ')';
            $obj->start = $schedule->data_hora;
            array_push($arrayEvents, $obj);
        }

        $data = date('Y-m-d');
        $events = json_encode($arrayEvents);

        return view('reunioes.agenda', compact('data', 'events'));
    }

    public function create() 
    {        
        $liderAux = User::where('email', '!=', 'admin@lideranca.com')
            ->where('status', 1)
            ->orWhere('status', 2)
            ->get();
        $responsaveis = $liderAux->pluck('name');

        return view('reunioes.create', compact('responsaveis'));
    }

    public function store(Request $request) 
    {
        $input = $request->all();
        Reuniao::create($input);
        Session::flash('flash_message', 'Cadastro realizado com sucesso!');
        return Redirect::to('reunioes/create');
    }

    public function show()
    {
        if (Auth::user()->perfil == 1) {
            $reunioes = Reuniao::where('status', 1)->get();
        } else {
            $reunioes = Reuniao::where('status', 1)->where('lider_id', Auth::user()->id)->get();
        }

        return view('reunioes.show', compact('reunioes'));
    }

    public function getSubLider($reuniaoId)
    {
        $subLideres = User::where('lideranca_id', Auth::user()->id)->where('status', 1)->orderBy('name', 'asc')->get();
        return view('reunioes.checkin', compact('subLideres', 'reuniaoId'));
    }

    public function checkin(Request $request)
    {
        $input = $request->all();
        $subId = \json_decode($input['subId']);
        $subName = \json_decode($input['subName']);
        foreach ($subName as $key => $value) {
            $obj = new CheckinReuniao;
            $obj->lider = Auth::user()->name;
            $obj->lider_id = Auth::user()->id;
            $obj->sub_lider = $value;
            $obj->sub_lider_id = $subId[$key];
            $obj->reuniao_id = $input['reuniaoId'];
            $obj->save();

            User::where('id', $subId[$key])->update(['status' => 2]);
        }
    }
}
