<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\User;
use App\Client;
use App\Grupo;
use App\Social;
use Redirect;
use Session;
use Auth;
use DB;

class SociaisController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        $sociais = Social::with('grupo')->get();
        return view('sociais.show', compact('sociais'));
    }

    public function create() 
    {
        $grupos = Grupo::all();
        return view('sociais.create', compact('grupos'));
    }

    public function store(Request $request)
    {
        $input = $request->all();
        $eleitor_social = \json_decode($input['eleitor_social']);
        $social = new Social;
        $social->grupo_id = $input['grupo_id'];
        $social->data_emprestimo = $input['data_emprestimo'];
        $social->data_devolucao = $input['data_devolucao'];
        $social->save();
        if ($social) {
            foreach ($eleitor_social as $key => $value) {
                if ($key == 0) {
                    $social->lideranca_id = $value->lideranca_id;
                    $social->lideranca_nome = $value->lideranca_nome;
                    $social->save();
                }
                DB::table('eleitores_sociais')->insert([
                    'lideranca_nome' => $value->lideranca_nome,
                    'eleitor_nome' => $value->eleitor_nome,
                    'whatsapp' => $value->whatsapp,
                    'social_id' => $social->id,
                    'client_id' => $value->eleitor_id,
                    'user_id' => $value->lideranca_id
                ]);
            }
        }
        Session::flash('flash_message', 'Cadastro realizado com sucesso!');
        return Redirect::to('sociais/create');

    }
    
    public function edit($id) 
    {
        $sociais = Social::find($id);
        return view('sociais.edit', compact('sociais'));
    }

    public function update(Request $request)
    {
        $input = $request->all();
        Social::where('id', $input['id'])->update( array(
            'nome' => $input['nome']
        ));

        Session::flash('flash_message', 'Cadastro atualizado com sucesso!');
        return Redirect::to('sociais');
    }

    public function destroy(Request $request)
    {
        $input = $request->all();
        Social::where('id', $input['socialId'])->delete();
        return;
    }

    public function getPerson(Request $request)
    {
        $input = $request->all();
        $checkLider = User::where('whatsapp', $input['telefone'])->first();
        if ($checkLider == true) {
            return response()->json(['lider', $checkLider]);
        } else {
            $checkEleitor = Client::with('acompanhante')->where('phone', $input['telefone'])->first();
            if ($checkEleitor == true) {
                return response()->json(['eleitor', $checkEleitor]);
            } else {
                return response()->json([false]);
            }
        }
    }

    public function getEleitores(Request $request)
    {
        $input = $request->all();
        $eleitores = DB::table('eleitores_sociais')->where('social_id', $input['socialId'])->whereNotNull('client_id')->get();
        return response()->json($eleitores);
    }
}
