<?php

namespace App\Http\Controllers;
use Auth;
use Illuminate\Http\Request;
use App\User;
use App\Meta;
use Session;
use DB;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use Redirect;

class UsuariosController extends Controller
{
    public function __construct(){
        $this->middleware('auth');
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        if (Auth::user()->perfil == 1) {
            $users = User::where('id', '!=', 1)
                ->where('status', '!=', 0)
                ->get();
        } else {
            $$users = User::where('id', '!=', 1)
                ->where('lideranca_id', Auth::user()->id)
                ->where('status', '!=', 0)
                ->get();
        }
        
        if (count($users) > 0) {
            foreach ($users as $key => $value) {
                if ($value->lideranca_id != null) {
                    $user = User::find($value->lideranca_id);
                    $users[$key]->liderancaName = $user->name;
                }
            }
        }
        
        return view('usuarios.show', compact('users'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $configs = DB::table('configs')->first();
        return view('usuarios.create', compact('configs'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $input = $request->all();
        $password = $input['password'];
        $input['password'] = bcrypt($input['password']);
        $input['lideranca_id'] = Auth::user()->id;
        User::create($input);

        /*
        if (Auth::user()->perfil == 2) {
            $checkMeta = Meta::where('date', date('Y-m-d'))->first();
            if ($checkMeta) {
                $checkMeta->qtd = $checkMeta->qtd + 1;
            } else {
                $checkMeta = new Meta;
                $checkMeta->lideranca_id = Auth::user()->id;
                $checkMeta->lideranca_nome = Auth::user()->name;
                $checkMeta->date = date('Y-m-d');
                $checkMeta->qtd = 1;
                $checkMeta->tipo = 0;
            }
            $checkMeta->save();
        }
       */
        Session::flash('flash_message', 'Cadastro realizado com sucesso!');
        return Redirect::to('usuarios/create');
    }

     /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Usuer  $produto
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $usuario = DB::table('users')->where('id', $id)->first();
    	return view('usuarios.edit', compact('usuario'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Produto  $produto
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $input = $request->all();
        if ($input['password'] != '') {
            User::where('id','=',$input['id'])->update( array(
                'name' => $input['name'],
                'email' => $input['email'],
                'perfil' => $input['perfil'],
                'password' => bcrypt($input['password']),
                'cpf_cnpj' => $input['cpf_cnpj'],
                'instagram' => $input['instagram'],
                'whatsapp' => $input['whatsapp'],
                'facebook' => $input['facebook'],            
                'endereco' => $input['endereco'],
                'numero' => $input['numero'],
                'bairro' => $input['bairro'],
                'cidade' => $input['cidade'],            
                'complemento' => $input['complemento'],
                'cep' => $input['cep'],
                'meta_lideranca' => $input['meta_lideranca'],
                'meta_eleitores' => $input['meta_eleitores'],
                'sus' => $input['sus'] 
            ));
        } else {
            User::where('id','=',$input['id'])->update( array(
                'name' => $input['name'],
                'email' => $input['email'],
                'perfil' => $input['perfil'],
                'cpf_cnpj' => $input['cpf_cnpj'],
                'instagram' => $input['instagram'],
                'whatsapp' => $input['whatsapp'],
                'facebook' => $input['facebook'],            
                'endereco' => $input['endereco'],
                'numero' => $input['numero'],
                'bairro' => $input['bairro'],
                'cidade' => $input['cidade'],            
                'complemento' => $input['complemento'],
                'cep' => $input['cep'],
                'meta_lideranca' => $input['meta_lideranca'],
                'meta_eleitores' => $input['meta_eleitores'],
                'sus' => $input['sus'] 
            ));
        }
		
        Session::flash('flash_message', 'Usuário atualizado com sucesso!');
		return redirect()->action('UsuariosController@index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Usuarios  $usuarios
     * @return \Illuminate\Http\Response
     */
    public function destroy(Usuarios $usuarios)
    {
        //
    }
    
    public function changeStatus(Request $request)
    {
        $input = $request->all();
        User::where('id', $input['id'])->update([
            'status' => $input['state'],
            'whatsapp' => ''
        ]);
        return;
    }

    public function checkWhatsapp(Request $request)
    {
        $input = $request->all();
        if (User::where('whatsapp', $input['whatsapp'])->where('status', 1)->first()) {
            return response()->json(false);
        } else {
            return response()->json(true);
        }
    }
}
