<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Social extends Model
{
    protected $table = 'sociais';
    protected $fillable = [
        'lideranca_id',
        'lideranca_nome',
        'data_emprestimo',
        'data_devolucao'
    ];

    public function grupo()
    {
        return $this->hasOne(Grupo::class, 'id', 'grupo_id');
    }

    public function eleitores()
    {
        return $this->belongsToMany(Client::class, 'id', 'client_id');
    }

    public function liderancas()
    {
        return $this->belongsToMany(User::class, 'id', 'user_id');
    }
}
