<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 
        'email', 
        'password', 
        'perfil',
        'cpf_cnpj',
        'status',
        'instagram',
        'whatsapp',
        'facebook',
        'lideranca_id',
        'endereco',
        'numero',
        'bairro',
        'cidade',
        'complemento',
        'cep',
        'meta_lideranca',
        'meta_eleitores',
        'sus'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function sociais()
    {
        return $this->belongsToMany(Social::class, 'id','social_id');
    }
}
