<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clients', function (Blueprint $table) {
            $table->id('id');
            $table->bigInteger('cabo_id')->unsigned()->nullable();
            $table->foreign('cabo_id')->references('id')->on('users');
            $table->string('name')->nullable();
            $table->string('email')->nullable();
            $table->date('nascimento')->nullable();
            $table->string('cpf')->nullable();
            $table->string('sus')->nullable();
            $table->string('titulo')->nullable();
            $table->string('zona')->nullable();
            $table->string('secao')->nullable();
            $table->string('rg')->nullable();
            $table->string('phone')->nullable();
            $table->string('city')->nullable();
            $table->string('zona_regiao')->nullable();
            $table->string('rua')->nullable();
            $table->string('bairro')->nullable();
            $table->string('complemento')->nullable();
            $table->string('numero')->nullable();
            $table->string('type_person')->nullable();
            $table->string('cep')->nullable();
            $table->string('profissao')->nullable();
            $table->string('state_aproved')->default(0); // 0 analisando 1 aprovado 2 negado
            $table->integer('status')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('clients');
    }
}
