<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSociaisTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sociais', function (Blueprint $table) {
            $table->id();
            $table->integer('lideranca_id')->nullable();
            $table->string('lideranca_nome')->nullable();
            $table->date('data_emprestimo')->nullable();
            $table->date('data_devolucao')->nullable();

            $table->bigInteger('grupo_id')->unsigned()->nullable();
            $table->foreign('grupo_id')
              ->references('id')->on('grupos')
              ->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sociais');
    }
}
