<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEleitoresSociaisTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('eleitores_sociais', function (Blueprint $table) {
            $table->id();

            $table->string('lideranca_nome')->nullable();
            $table->string('eleitor_nome')->nullable();
            $table->string('whatsapp')->nullable();
            $table->bigInteger('social_id')->unsigned()->nullable();
            $table->foreign('social_id')->references('id')->on('sociais')
                ->onDelete('cascade');
            $table->bigInteger('client_id')->unsigned()->nullable();
            $table->foreign('client_id')->references('id')->on('clients')
                ->onDelete('cascade');
            $table->bigInteger('user_id')->unsigned()->nullable();
            $table->foreign('user_id')->references('id')->on('users')
                ->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('eleitores_sociais');
    }
}
