<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCockpitsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cockpits', function (Blueprint $table) {
            $table->id();
            $table->integer('votos')->default(0);
            $table->integer('liderancas')->default(0);
            $table->integer('meta_liderancas')->default(0);
            $table->integer('meta_eleitores')->default(0);
            $table->integer('meses')->default(0);
            $table->integer('dias')->default(0);
            $table->integer('votos_previsao')->default(0);
            $table->double('investimento', 15,2)->default(0);
            $table->double('investimento_mes', 15,2)->default(0);
            $table->double('investimento_lider', 15,2)->default(0);
            $table->double('investimento_eleitor', 15,2)->default(0);
            $table->date('data_inicial')->nullable();
            $table->date('data_final')->nullable();
            $table->float('descarte')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cockpits');
    }
}
