<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDespesasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('despesas', function (Blueprint $table) {
            $table->id();
            $table->string('descricao')->nullable();
            $table->date('data')->nullable();
            $table->double('valor', 15,2)->nullable();
            $table->string('responsavel')->nullable();
            $table->integer('status')->default(1)->nullable();

            $table->bigInteger('grupo_id')->unsigned()->nullable();
            $table->foreign('grupo_id')
              ->references('id')->on('grupos')
              ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('despesas');
    }
}
