<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">-->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>{{config('app.name')}}</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Font Awesome -->
    <link rel="stylesheet" href=" {{ URL::asset('bower_components/admin-lte/plugins/fontawesome-free/css/all.min.css') }}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- icheck bootstrap -->
    <link rel="stylesheet" href=" {{ URL::asset('bower_components/admin-lte/plugins/icheck-bootstrap/icheck-bootstrap.min.css') }}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{ URL::asset('bower_components/admin-lte/dist/css/adminlte.min.css') }}">
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link rel="icon" type="image/x-icon" href="{{ URL::asset('/bower_components/admin-lte/dist/img/logo2.ico') }}">

  </head>
  <body class="hold-transition login-page" 
    style="background-image: url('{{ URL::asset('/bower_components/admin-lte/dist/img/background.jpg') }}');
      background-repeat: no-repeat;
      background-attachment: fixed;
      background-size: cover;">
    <div class="login-box">
      <div id="card-title" style="background-color: white;
        opacity: 0.8;
        padding: 0;">
        <div class="login-logo m-0">
          <img src="{{ URL::asset('/bower_components/admin-lte/dist/img/logo.jpg') }}" height="200" width="200">
        </div>
      </div>
      <!-- /.login-logo -->
      <div class="card">      
        <div class="card-body login-card-body">
          <p class="login-box-msg">O maior sistema de gestão de lideranças do Brasil!</p>

          <form action="{{ route('login') }}" method="post">
            <input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />
            <div class="input-group mb-3">
              <input type="text" class="form-control" placeholder="Número telefone" @error('email') is-invalid @enderror name="login" value="{{ old('login') }}" required  autofocus>
              <div class="input-group-append">
                <div class="input-group-text">
                  <span class="fas fa-users"></span>
                </div>
              </div>
            
              @if ($errors->has('email') || $errors->has('email'))
                <span class="invalid-feedback">
                  <strong>{{ $errors->first('username') ?: $errors->first('email') }}</strong>
                </span>
              @endif
              <span class="invalid-feedback" role="alert">
                <strong></strong>
              </span>
          
            </div>
          
            <div class="input-group mb-3">
              <input type="password" class="form-control" placeholder="Senha" @error('password') is-invalid @enderror name="password" required autocomplete="current-password">
              <div class="input-group-append">
                <div class="input-group-text">
                  <span class="fas fa-lock"></span>
                </div>
              </div>
                @error('password')
                    <span class="invalid-feedback" role="alert">
                      <strong>{{ $message }}</strong>
                    </span>
                @enderror
            </div>
              <!-- /.col -->
              <div class="input-group mb-3">
                <button type="submit" class="btn btn-primary w-100">
                    {{ __('Entrar') }}
                </button>
              </div>
              <!-- /.col -->
            </div>
          </form>
        </div>
        <!-- /.login-card-body -->
      </div>
    </div>
    <!-- /.login-box -->

    <!-- jQuery -->
    <script src="{{ URL::asset('bower_components/admin-lte/plugins/jquery/jquery.min.js') }}"></script>
    <!-- Bootstrap 4 -->
    <script src="{{ URL::asset('bower_components/admin-lte/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
    <!-- AdminLTE App -->
    <script src="{{ URL::asset('bower_components/admin-lte/dist/js/adminlte.min.js') }}"></script>

  </body>
</html>




