@extends('masterpage.masterpage')
<!-- Content Header (Page header) -->

@section ('content')
<input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Eleitores</h1>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          @if(Session::has('flash_message'))
            <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-check"></i> Alerta!</h5>
              {{ Session::get('flash_message')}}
            </div>
          @endif
          @if(Session::has('error'))
            <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-ban"></i> Alert!</h5>
              {{ Session::get('error')}}
            </div>
          @endif
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Lista</h3>

            </div>
            <div>
              <div class="card-header">
                 <a style="margin-top: 10px" href="{{ URL('clientes/create') }}" class="btn btn-primary">Novo eleitor</a>
                 <a  onclick="sendContacts()"  style="margin-top: 10px"  class="btn btn-primary">Checar Contatos</a>

              </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              <table id="example1" class="table table-striped">
                <thead>
                <tr>
                  <th>Liderança</th>
                  <th>Eleitor</th>
                  <th>Telefone</th>
                  <th>Endereço</th>
                  <th>Bairro</th>
                  <th>Cidade</th>
                  <th style="text-align: right">Ações</th>
                </tr>
                </thead>
                <tbody>
                  @foreach ($clients as $client)
                  <tr>
                    <td>{{$client->acompanhante->name }}</td>
                    <td>{{$client->name }}</td>
                    <td>{{$client->phone }}</td>
                    <td>{{$client->bairro }}</td>
                    <td>{{$client->rua }}</td>
                    <td>{{$client->cidade }}</td>
                    <td style="text-align: right">
                      <div>
                        <a href="{{ URL('clientes/edit/'. $client->id) }}" class="btn btn-primary btn rounded-circle"
                            title="Editar"><i class="fa fa-edit"></i></a>
                            <a href="#" onclick="confirmDelete(this)" clientId="{{ $client->id }}" class="btn btn-danger btn rounded-circle"
                              title="Excluir"><i class="fa fa-trash"></i>
                            </a>
                      </div>
                    </td>
                  </tr>
                @endforeach
                </tbody>
                </tfoot>
              </table>
              <a style="margin-top: 10px" href="{{ URL('clientes/create') }}" class="btn btn-primary">Novo eleitor</a>
            </div>
          </div>
        </div>
      </div>
    </div>

  </section>

  @stop

 @section('scripts')
    <script>
    var clienteId = 0
    var clientes = {!!$clientes_whats!!}
      $(function () {
        $("#example1").DataTable({
          "responsive": true,
          "autoWidth": false,
          "oLanguage":{
            "sEmptyTable": "Nenhum registro encontrado",
            "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
            "sInfoFiltered": "(Filtrados de _MAX_ registros)",
            "sInfoPostFix": "",
            "sInfoThousands": ".",
            "sLengthMenu": "_MENU_ Resultados por página",
            "sLoadingRecords": "Carregando...",
            "sProcessing": "Processando...",
            "sZeroRecords": "Nenhum registro encontrado",
            "sSearch": "Pesquisar ",
            "oPaginate": {
              "sNext": "Próximo",
              "sPrevious": "Anterior",
              "sFirst": "Primeiro",
              "sLast": "Último"
            }
          }
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      });

      function confirmDelete(params) {
        Swal.fire({
          title: 'Tem certeza que deseja excluir?',
          text: "Os dados serão excluídos permanentemente!",
          icon: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Confirmar',
          cancelButtonText: 'Cancelar',
        }).then((result) => {
          if (result.isConfirmed) {
            var csrfToken = document.getElementById('csrf-token').value;
            var data = new FormData();
            data.append('clientId', params.getAttribute('clientId'));
            fetch('{{URL('clientes/destroy')}}', {
              method: 'post',
              body: data,
              headers: {
                "X-CSRF-Token": csrfToken
              },
            }).then(function(response) {
              if (response.status === 200) {
                Swal.fire({
                  icon: 'success',
                  title: 'Cadastro excluído com sucesso',
                  showConfirmButton: false,
                  timer: 1500
                })
                window.location.reload();
              } else {
                Swal.fire(
                  'Falha!',
                  'Falha ao excluir grupo.',
                  'error'
                )
              }
            });
          }
        })
      }

      const BASE_URI = 'http://localhost:8000'
  function sendContacts(){
        return new Promise(async (resolve) => {
            if(clientes.length === 0){
                Swal.fire({
                                title: `Atenção`,
                                text: "Todos seus contatos foram checados",
                                icon: "info"
                            });
                return
            }

            try{
                Swal.fire({
                    title: "Confirmar contatos Whatsapp (500 contatos)",
                    showCancelButton: true,
                    confirmButtonText: "Iniciar",
                    showLoaderOnConfirm: true,
                    preConfirm: async (login) => {
                        try {
                            const response = await fetch(BASE_URI + '/check-contacts', {
                                                        method:'post',
                                                        headers: {
                                                            'Content-Type': 'application/json'
                                                        },
                                                        body: JSON.stringify(clientes.slice(0, 500))
                                                    })
                            if (!response.ok) {
                                return Swal.showValidationMessage(`
                                    ${JSON.stringify(await response.json())}
                                `);
                            }
                            return response.json();
                        } catch (error) {
                            Swal.showValidationMessage(`
                                Request failed: ${error}
                            `);
                        }
                    },
                    allowOutsideClick: () => !Swal.isLoading()
                    }).then(async (result) => {
                        if (result.value) {
                            clientes = await updateContacts(result.value);
                            Swal.fire({
                                title: `Atualizados`,
                                text: "Seus 150 contatos foram atualizados, faça o processo novamente para mais 150",
                                icon: "success"
                            });
                        }
                    });

            }catch(e){
                resolve(false);
            }
        })
    }

    async function updateContacts(contacts){
        return new Promise(async (res) => {
            await fetch("{{URL('clientes/updateContactWhatsappp')}}", {
                method: "POST",
                body: JSON.stringify(contacts),
                credentials: "same-origin",
                headers: {
                    "X-CSRF-Token": "{{ csrf_token() }}",
                    "Content-type": "application/json; charset=UTF-8"
                },

            })
            .then(response => {
                return response.json()
            }).then(async json => {
                res(json);
            })

        })
    }

    $('#rvs-table').DataTable({
            dom: 'Blfrtip',
            buttons: [
            { extend: 'copyHtml5', text: 'Copiar' },
            { extend: 'excelHtml5', text: 'Exportar Excel' },
            'csvHtml5',
            'pdfHtml5'
        ],
            "sPaginationType": "full_numbers",
        "bPaginate": true,
        "bServerSide": false,
        "bLengthChange": true,
        "bAutoWidth": true,
        "processing": true,

            "oLanguage":{
                "sEmptyTable": "Nenhum registro encontrado",
                "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                "sInfoPostFix": "",
                "sInfoThousands": ".",
                "sLengthMenu": "_MENU_ Resultados por página",
                "sLoadingRecords": "Carregando...",
                "sProcessing": "Processando...",
                "sZeroRecords": "Nenhum registro encontrado",
                "sSearch": "Pesquisar ",
            "oPaginate": {
                "sNext": "Próximo",
                "sPrevious": "Anterior",
                "sFirst": "Primeiro",
                "sLast": "Último"
            },
        }
    });

    $('#rvs-table2').DataTable({
            dom: 'Blfrtip',
            buttons: [
            { extend: 'copyHtml5', text: 'Copiar' },
            { extend: 'excelHtml5', text: 'Exportar Excel' },
            'csvHtml5',
            'pdfHtml5'
        ],
            "sPaginationType": "full_numbers",
        "bPaginate": true,
        "bServerSide": false,
        "bLengthChange": true,
        "bAutoWidth": true,
        "processing": true,

            "oLanguage":{
                "sEmptyTable": "Nenhum registro encontrado",
                "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                "sInfoPostFix": "",
                "sInfoThousands": ".",
                "sLengthMenu": "_MENU_ Resultados por página",
                "sLoadingRecords": "Carregando...",
                "sProcessing": "Processando...",
                "sZeroRecords": "Nenhum registro encontrado",
                "sSearch": "Pesquisar ",
            "oPaginate": {
                "sNext": "Próximo",
                "sPrevious": "Anterior",
                "sFirst": "Primeiro",
                "sLast": "Último"
            },
        }
    });

    $('#tblExtrato').DataTable({
        dom: 'Blfrtip',
        buttons: [
        'pdfHtml5'
        ],
        "searching": false,
        "paging": false,
        "info": false,
        "bServerSide": false,
        "bLengthChange": true,
        "bAutoWidth": true,
        "processing": true,
        "oLanguage":{
        "sEmptyTable": "Nenhum registro encontrado",
        "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
        "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
        "sInfoFiltered": "(Filtrados de _MAX_ registros)",
        "sInfoPostFix": "",
        "sInfoThousands": ".",
        "sLengthMenu": "_MENU_ Resultados por página",
        "sLoadingRecords": "Carregando...",
        "sProcessing": "Processando...",
        "sZeroRecords": "Nenhum registro encontrado",
        "sSearch": "Pesquisar ",
        "oPaginate": {
            "sNext": "Próximo",
            "sPrevious": "Anterior",
            "sFirst": "Primeiro",
            "sLast": "Último"
        },
        }
    });

    function ConfirmDelete()
    {
    var x = confirm("Tem certeza que deseja excluir? Ao excluir todas as informações desse cliente serão permanentemente perdidas.");
    if (x)
        return true;
    else
        return false;
  }

    </script>
 @stop
