@extends('masterpage.masterpage')
@section('content')
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Combustível</h1>
          </div>
         
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title">Editar</h3>
              </div>
              <form id="combustivelForm" action="{{ URL('combustivel/update') }}" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />
                <input type="hidden" name="id" id="id" value="{{ $combustivel->id }}" />
                <div class="card-body">
                  <div class="form-group">
                    <label>Solicitante</label>
                    <input type="text" class="form-control" name="lider_name" id="lider_name" required value="{{ $combustivel->lider_name }}">
                  </div>
                  <div class="form-group">
                    <label>Placa</label>
                    <input type="text" class="form-control" id="placa" name="placa" value="{{ $combustivel->placa }}">
                  </div>   
                  <div class="form-group">
                    <label>Valor</label>
                    <input  type="number" class="form-control" name="valor" id="valor" required value="{{ $combustivel->valor }}">
                  </div>
                </div>
                <div class="card-footer">
                  <button type="button" onclick="submitCombustivel()" class="btn btn-primary">Salvar</button>
                  <a href="{{ url('combustivel') }}" class="btn btn-default">Voltar </a>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </section>
@stop  

@section('scripts')

  <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
  <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

  <script>

    var availableTags = {!! json_encode($lider_name) !!}
    $( function() {
      $( "#lider_name" ).autocomplete({
        source: availableTags
      });
    } );

    function submitCombustivel() {
      if (document.getElementById("lider_name").value == '' ||
        document.getElementById("valor").value == '') {
          Swal.fire(
            'Atenção!',
            'Os campos solicitante e valor são obrigatórios.',
            'info'
          )
      } else if (availableTags.includes(document.getElementById("lider_name").value) == false) {
        Swal.fire(
          'Atenção!',
          'A liderança solicitante não está cadastrada.',
          'info'
        )
      } else {
          document.getElementById("combustivelForm").submit();
      }
    }

  </script>

@stop