@extends('masterpage.masterpage')

@section ('content')
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Comunicação</h1>
        </div>
      </div>
    </div>
  </section>
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          @if(Session::has('flash_message'))
            <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-check"></i> {{ Session::get('flash_message')}}</h5>
            </div>
          @endif
          @if(Session::has('error'))
            <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-ban"></i> {{ Session::get('error')}}</h5>
            </div>
          @endif
          <div class="card">
            <div class="card-header">
              <h3 class="card-title"><b><i>Lista</b></i></h3>

            </div>
            <div class="card-header">
                <a style="margin-top: 10px" href="{{ URL('comunicacoes/create') }}" class="btn btn-primary">Nova comunicação</a>
            </div>
            <div class="card-body">
              <table id="example1" class="table table-striped">
                <thead>
                <tr>
                  <th>Data</th>
                  <th>Para quem</th>
                  <th>Tipo</th>
                  <th>Mensagem</th>
                  <th>Responsável</th>
                  <th style="text-align: right">Ações</th>
                </tr>
                </thead>
                <tbody>
                  @foreach ($comunicacoes as $comunicacao)
                    <tr>
                      <td>{{ date("d/m/Y H:i", strtotime($comunicacao->created_at)) }}</td>
                      <td>{{ $comunicacao->pessoa_enviar }}</td>
                      <td>{{ $comunicacao->tipo_mensagem }}</td>
                      @if ( $comunicacao->tipo_mensagem == 'Mensagem')
                        <td>{{ $comunicacao->mensagem }}</td>
                      @else
                        <td>{{ $comunicacao->mensagem }}
                          (@foreach ($comunicacao->pergunta as $key => $value)
                              @if ($key == 0)
                                {{ $value->pergunta }}
                              @else
                                {{ ', ' . $value->pergunta }}
                              @endif
                          @endforeach)
                        </td>
                      @endif
                      <td>{{ $comunicacao->responsavel }}</td>
                      <td style="text-align: right">
                        <div>
                          <a href="#" onclick="confirmDelete(this)" comunicacaoId="{{ $comunicacao->id }}" class="btn btn-danger btn rounded-circle"
                            title="Excluir"><i class="fa fa-trash"></i>
                          </a>
                          <a href="#" onclick="getMessageTransmission({{ $comunicacao->id }})" comunicacaoId="{{ $comunicacao->id }}" class="btn btn-success btn rounded-circle"
                            title="Excluir"><i class="fa fa-paper-plane"></i>
                          </a>
                        </div>
                      </td>
                    </tr>
                  @endforeach
                </tbody>
              </table>
              <a style="margin-top: 10px" href="{{ URL('comunicacoes/create') }}" class="btn btn-primary">Nova comunicação</a>
            </div>
          </div>
        </div>
      </div>
    </div>
     <!-- Modal -->
    <div class="modal fade" id="modalSelectLista" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Escolha o publico</h5>

            </div>
            <div class="modal-body">
            Envie com sabedoria! Escolha seu grupo de transmissão.
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
            <button type="button" class="btn btn-primary"  data-dismiss="modal" onclick="sendList(0)">Enviar para clientes</button>
            <button type="button" class="btn btn-warning"  data-dismiss="modal" onclick="sendList(1)">Enviar para todos os contatos</button>
            </div>
        </div>
        </div>
    </div>
    <input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />

  </section>

  @stop

 @section('scripts')

    <script>
        all_contacts = {!!$all_contacts!!}
        const BASE_URI = 'http://localhost:8000'
        const promocao = {
            nome: null,
            desconto: null,
            descricao:null,
            produto_id: null,
        };

        let messageList;
      $(function () {
        $("#example1").DataTable({
          "responsive": true,
          "autoWidth": false,
          "oLanguage":{
            "sEmptyTable": "Nenhum registro encontrado",
            "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
            "sInfoFiltered": "(Filtrados de _MAX_ registros)",
            "sInfoPostFix": "",
            "sInfoThousands": ".",
            "sLengthMenu": "_MENU_ Resultados por página",
            "sLoadingRecords": "Carregando...",
            "sProcessing": "Processando...",
            "sZeroRecords": "Nenhum registro encontrado",
            "sSearch": "Pesquisar ",
            "oPaginate": {
              "sNext": "Próximo",
              "sPrevious": "Anterior",
              "sFirst": "Primeiro",
              "sLast": "Último"
            }
          }
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      });

      function confirmDelete(params) {
        Swal.fire({
          title: 'Tem certeza que deseja excluir?',
          text: "Os dados serão excluídos permanentemente!",
          icon: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Confirmar',
          cancelButtonText: 'Cancelar',
        }).then((result) => {
          if (result.isConfirmed) {
            var csrfToken = document.getElementById('csrf-token').value;
            var data = new FormData();
            data.append('comunicacaoId', params.getAttribute('comunicacaoId'));
            fetch('{{URL('comunicacoes/destroy')}}', {
              method: 'post',
              body: data,
              headers: {
                "X-CSRF-Token": csrfToken
              },
            }).then(function(response) {
              if (response.status === 200) {
                Swal.fire({
                  icon: 'success',
                  title: 'Cadastro excluído com sucesso',
                  showConfirmButton: false,
                  timer: 1500
                })
                window.location.reload();
              } else {
                Swal.fire(
                  'Falha!',
                  'Falha ao excluir grupo.',
                  'error'
                )
              }
            });
          }
        })
      }

      async function getMessageTransmission(id){
            const file = document.getElementById('imagem');
            try {
                const responseStatus = await fetch("http://127.0.0.1:8000/status-transmission");
                let statusTransmision = await responseStatus.json();
                if(statusTransmision.status){
                    Swal.fire({
                        title: "Transmissão em andamento!",
                        text: `Existe uma transmissão em andamento, ${statusTransmision.contactsSended}/${statusTransmision.countContacts}`,
                        icon: "warning"
                    });
                    return
                }
            } catch (error) {
                Swal.fire({
                        title: "Seu bot pode não estar Ativo",
                        text: `Verifique se seu bot esta ativo`,
                        icon: "error"
                    });
                    return
            }



            discartPromotion = 0;
            addPromotionCart = 0;
            $("#discartPromotion").text(discartPromotion);
            $("#addPromotionCart").text(addPromotionCart);
            $('#modalSelectLista').modal();
            let response = await fetch("{{URL('comunicacoes/getPromotion')}}"+ `/${id}`);
            response = await response.json();
            console.log(response);

            const urlencoded = new URLSearchParams();
            urlencoded.append("titulo", response.titulo);
            urlencoded.append("descricao", response.descricao);
            urlencoded.append("rodape", response.rodape);
            urlencoded.append("imagem", response.imagem);
            messageList  = response;
       }

       async function sendList(listMode){
            try{
                let listSelected = listMode ? all_contacts : clientes;
                Swal.fire({
                    title: "Não use como span abusivo! use com sabedoria.",
                    showCancelButton: true,
                    confirmButtonText: "Iniciar",
                    showLoaderOnConfirm: true,
                    preConfirm: async () => {
                        try {
                            const response = await fetch(BASE_URI + '/send-transmission', {
                                                        method:'post',
                                                        headers: {
                                                            'Content-Type': 'application/json'
                                                        },
                                                        body: JSON.stringify({
                                                            list: listSelected.slice(0, 300),
                                                            listMode,
                                                            message: messageList,

                                                        })
                                                    })
                            if (!response.ok) {
                                return Swal.showValidationMessage(`
                                    ${JSON.stringify(await response.json())}
                                `);
                            }
                            return response.json();
                        } catch (error) {
                            Swal.showValidationMessage(`
                                Request failed: ${error}
                            `);
                        }
                    },
                    allowOutsideClick: () => !Swal.isLoading()
                    }).then(async (result) => {
                        if (result.value) {
                            Swal.fire({
                                title: `Lista de transmissão iniciada!`,
                                text: "Enviando",
                                icon: "success"
                            });
                        }
                    });

            }catch(e){
                resolve(false);
            }

       }

    </script>
 @stop
