@extends('masterpage.masterpage')

@section('content')
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Despesas</h1>
          </div>
         
        </div>
      </div>
    </section>

    <section class="content">
      <div class="container-fluid">
        @if(Session::has('flash_message'))
          <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            {{ Session::get('flash_message')}}
          </div>
        @endif
        @if(Session::has('error'))
          <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            {{ Session::get('error')}}
          </div>
        @endif
        <div class="row">  
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title"><b><i>Cadastro</b></i></h3>
              </div>
              <form id="socialForm"  action="{{ URL('despesas/store') }}" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />
                <input type="hidden" name="eleitor_social" id="eleitor_social" />
                <div class="card-body">
                  <div class="row">
                    <div class="col-12">
                      <div class="form-group">
                        <label>Grupo</label>
                        <select class="form-control" name="grupo_id" id="grupo_id" required autofocus>
                          @if ($grupos)
                            <option value="#"></option>
                            @foreach ($grupos as $grupo)
                              <option value="{{ $grupo->id }}">{{ ($grupo->nome) }}</option>
                            @endforeach
                          @endif
                        </select>
                      </div>
                      <div class="form-group">
                        <label>Data da despesa</label>
                        <div class="input-group-prepend">
                          <input type="date" class="form-control" name="data" id="data" required>
                        </div>
                      </div>
                      <div class="form-group">
                        <label>Descrição</label>
                        <div class="input-group-prepend">
                          <input type="text" class="form-control" name="descricao" id="descricao" required>
                        </div>
                      </div>
                      <div class="form-group">
                        <label>Valor</label>
                        <div class="input-group-prepend">
                          <input type="number" class="form-control" min="0" name="valor" id="valor" required>
                        </div>
                      </div>
                    </div>
                  </div>                
                </div>
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                  <a href="{{ url('despesas') }}" class="btn btn-default">Voltar</a>
                </div>
              </form>
            </div>           
          </div>
        </div>
      </div>
    </section>
@stop  

@section('scripts')

    <script>

    </script>

@stop