@extends('masterpage.masterpage')

<link rel="stylesheet" href="<?php echo asset('bower_components\admin-lte\dist\css\biolinks.css'); ?>">

@section('content')

  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Mini site</h1>
        </div>         
      </div>
    </div>
  </section>
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-12">
          <div class="card card-default">
            <div class="card-body">
              <blockquote>
                <p>
                  O sistema <b>Liderança</b> gera um mini site facilitando o compatilhamento do seu Instagram, Biografia, Grupo de Whatsapp, 
                  entre outros links que você desejar. Compartilhe o link abaixo onde desejar, inclusive na bio do seu Instagram<br /><br />
                  <b><a href="{{ "https://" . $configs->subdominio . '.bizybox.com.br/links' }}">{{ "https://" . $configs->subdominio . '.bizybox.com.br/links' }}<a></b>
                </p>
              </blockquote>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6">
          <div class="card card-default">
            <div class="card-header">
              <h3 class="card-title"><b><i>Cadastro</i></b></h3> 
            </div>
            <div class="card-body">
              <form action="{{ url('links/store') }}" method="post" id="frmBiolinks" 
                  data-parsley-validate class="form-horizontal form-label-left" enctype="multipart/form-data">
                  <input name="_token" id="token" type="hidden" value="{{ csrf_token() }}"/>
                  <input name="jsonResult" id="jsonResult" type="hidden"/>

                  @if(Session::has('flash_message'))
                      <div class="alert alert-success">
                          {{ Session::get('flash_message') }}
                      </div>
                  @endif

                  <div class="form-group">
                    <div class="text-center">
                      <img class="rounded-circle" id="santinhoImagem" id="santinhoImagem" src="../bower_components/admin-lte/dist/img/lider-sem-foto.jpg" width="100" height="100" />
                    </div>
                  </div>
                  <div class="form-group text-center">
                    <label for="santinhoInputFile">Logomarca</label>
                    <div class="input-group">
                      <div class="custom-file">
                        <input type="file" class="custom-file-input" id="santinhoInputFile" name="santinhoInputFile" onchange="loadFile(event)"
                          accept="image/png, image/jpg, image/jpeg, image/webp">
                        <label class="custom-file-label" for="santinhoInputFile">Selecionar arquivo</label>
                      </div>
                    </div>
                  </div>
                  <div class="col-md-12 col-sm-6 col-xs-12 form-group has-feedback">
                      <label>Título</label>
                      <input type="text" name="lkTitle" id="lkTitle" class="form-control" onkeyup="setTitle(this)">
                  </div>
                  <div class="col-md-12 col-sm-6 col-xs-12 form-group has-feedback">
                      <label>Informativo</label>
                      <textarea rows="5" name="lkDescricao" id="lkDescricao" class="form-control" onkeyup="setSubTitle(this)"></textarea>
                  </div>
                  <div class="col-md-12 col-sm-6 col-xs-12 form-group has-feedback">
                      <label>Descrição do link</label>                                
                      <input type="text" name="linkDescription" id="linkDescription" class="form-control">
                  </div>
                  <div class="col-md-12 col-sm-6 col-xs-12 form-group has-feedback">
                      <label>Link</label>
                      <input type="text" name="linkName" id="linkName" class="form-control">
                  </div>
                  <div class="col-md-12 col-sm-6 col-xs-12 form-check has-feedback" style="padding-left: 1.7rem">
                    <input class="form-check-input" type="checkbox" value="" id="ckShake">
                    <label for="ckShake">Aplicar destaque</label>
                  </div>
                  <div class="col-md-12 col-sm-6 col-xs-12 form-group has-feedback">
                      <button type="button" onclick="addLink()" class="btn btn-primary" style="width: 100%"><i class="glyphicon glyphicon-plus"></i> Adicionar</button>
                      <hr>
                  </div>
                  <div id="divLinks" class="col-md-12 col-sm-6 col-xs-12 form-group has-feedback">
                      <ul id="ulLinks" class="list-group">
                      </ul>
                  </div>
                  <div class="form-group">
                      <div class="col-md-12 col-sm-6 col-xs-12 form-group has-feedback">
                        <button type="button" onclick="submitForm()" class="btn btn-success w-100">Salvar</button>
                      </div>
                  </div>
              </form>
            </div>
          </div>         
        </div>
       
        <div class="col-md-6">
          <div class="card card-default">
            <div class="card-header">
              <h3 class="card-title"><b><i>Preview</i></b></h3>
            </div>
            <div class="card-body">
              <div id="backPreview" style="height: max-content;">
                <div class="container">
                    <div class="col-xs-12">
                        <div class="text-center" style="padding-top: 30px; padding-bottom: 30px;">
                            <img id="logo" class="backdrop linktree">
                            <h5 id="linksTitle" style="color: #ffffff; padding-top: 20px;">
                            </h5>
                            <h4 id="linksSubTitle" style="color: #ffffff; padding-top: 20px;">
                            </h4>
                        </div>
                    </div>
                </div>

                <div class="container">
                    <div class="col-xs-12">
                        <div id="linkButtons" class="text-center">
                        </div>
                    </div>
                </div>
             </div>
            </div>
          </div>
        </div>

      </div>
    </div>
  </section>

@stop  

@section('scripts')

<script>
    
  var loadFile = function(event) {
    var output = document.getElementById('santinhoImagem');
    output.src = URL.createObjectURL(event.target.files[0]);
    document.getElementById('logo').src = URL.createObjectURL(event.target.files[0])
    output.onload = function() {
      URL.revokeObjectURL(output.src) // free memory
    }
  };

  var arrayLinks = []
  var index = 0
  var biolinkDB = {!! json_encode($biolink) !!}

  document.addEventListener("DOMContentLoaded", function() {
    if (biolinkDB.length > 0) {
      var objBiolinkDB = JSON.parse(biolinkDB[0].biolink);
      if (biolinkDB[0].url_image != null && biolinkDB[0].url_image != '') {
        document.getElementById('logo').src = '../'+biolinkDB[0].url_image;
        document.getElementById('santinhoImagem').src = '../'+biolinkDB[0].url_image;
      } else {
        document.getElementById('logo').src = '../bower_components/admin-lte/dist/img/lider-sem-foto.jpg';
        document.getElementById('santinhoImagem').src = '../bower_components/admin-lte/dist/img/lider-sem-foto.jpg';
      }
      arrayLinks = objBiolinkDB.links;
      index = objBiolinkDB.index
      document.getElementById('lkTitle').value = objBiolinkDB.title
      document.getElementById('lkDescricao').value = objBiolinkDB.description
      document.getElementById('linksTitle').innerText = objBiolinkDB.title
      document.getElementById('linksSubTitle').innerText = objBiolinkDB.description

      var linkButtonsDB = document.getElementById("linkButtons")
      var ulDB = document.getElementById("ulLinks")
      var liDB = document.createElement("liLinks")
      objBiolinkDB.links.forEach(function (item) {
        linkButtonsDB.innerHTML += item.links
        liDB.innerHTML += item.li
        ulDB.appendChild(liDB);
      })
    }
  });

  function setTitle(params) {
    document.getElementById('linksTitle').innerText = params.value
  }        

  function setSubTitle(params) {
    document.getElementById('linksSubTitle').innerText = params.value
  }

  function linksDelete(params) {
    Swal.fire({
      title: 'Atenção',
      text: "Deseja excluir o link?",
      icon: 'warning',
      showCancelButton: true,
      confirmButtonColor: '#3085d6',
      cancelButtonColor: '#d33',
      confirmButtonText: 'Excluir'
    }).then((result) => {
        if (result.value == true) {
          document.getElementById(params).remove();
          document.getElementById('div' + params).remove();

          var filtered = arrayLinks.filter(function(value, index, arr){ 
            if (value.id != params) {
              return value
            }
          });
        }
        arrayLinks = filtered;
    })
  }
  
  function addLink() {
    if (document.getElementById('linkDescription').value == "" ||
      document.getElementById('linkName').value == "") {
        Swal.fire({
            icon: 'Alert',
            title: 'Atenção!',
            text: 'DESCRIÇÃO LINK e LINK são obrigatórios.'
        });
    } else {
      var linkName = document.getElementById('linkName').value
      var linkDescription = document.getElementById('linkDescription').value
      var ul = document.getElementById("ulLinks")
      var li = document.createElement("liLinks")
      li.innerHTML = `<li id="${index}" class="list-group-item">
          <p><label>${linkDescription}</label></p>
          <p><a href="${document.getElementById('linkName').value}">${linkName}</a></p>
          <p><button style="border-radius: 10px" type="button" onclick=linksDelete(${index}) class="btn-danger"><i class="fa fa-trash"></i> Excluir</button></p>
      </li>`
      ul.appendChild(li);
      
      document.getElementById('linkDescription').value = ""
      document.getElementById('linkName').value = ""

      let linkTemp = ""
      var linkButtons = document.getElementById("linkButtons")
      var checkBox = document.getElementById("ckShake");
      if (checkBox.checked == true) {
        linkButtons.innerHTML += `<div id="div${index}" style="padding-bottom: 30px;">
            <button onclick="location.href='${linkName}'" type="button" class="shake" 
              style="width: 90%; padding-top:10px; padding-bottom:10px; font-weight: 600; border: 1px solid;
              color: #f8f9fa; background-color: transparent; background-image: none; border-color: #f8f9fa;
              border-radius: 50rem!important;">${linkDescription}</button>
          </div>`
        linkTemp = `<div id="div${index}" style="padding-bottom: 30px;">
                <button onclick="location.href='${linkName}'" type="button" class="shake" 
                    style="width: 90%; padding-top:10px; padding-bottom:10px; font-weight: 600; border: 1px solid;
                        color: #f8f9fa; background-color: transparent; background-image: none; border-color: #f8f9fa;
                        border-radius: 50rem!important;">${linkDescription}</button>
              </div>`
      } else {
        linkButtons.innerHTML += `<div id="div${index}" style="padding-bottom: 30px;">
            <button onclick="location.href='${linkName}'" type="button" class="" 
              style="width: 90%; padding-top:10px; padding-bottom:10px; font-weight: 600; border: 1px solid;
              color: #f8f9fa; background-color: transparent; background-image: none; border-color: #f8f9fa;
              border-radius: 50rem!important;">${linkDescription}</button>
          </div>`
        linkTemp = `<div id="div${index}" style="padding-bottom: 30px;">
          <button onclick="location.href='${linkName}'" type="button" class="" 
            style="width: 90%; padding-top:10px; padding-bottom:10px; font-weight: 600; border: 1px solid;
            color: #f8f9fa; background-color: transparent; background-image: none; border-color: #f8f9fa;
            border-radius: 50rem!important;">${linkDescription}</button>
          </div>`
      }

      var obj = new Object()
      obj.id = index
      obj.links = linkTemp
      obj.li = li.innerHTML
      arrayLinks.push(obj)
      index++
      document.getElementById('linkDescription').focus()
    }
  }

  function submitForm(params) {
    let objJson = new Object()
    objJson.title = document.getElementById('lkTitle').value
    objJson.description = document.getElementById('lkDescricao').value
    objJson.links = arrayLinks
    objJson.index = index
    document.getElementById('jsonResult').value = JSON.stringify(objJson)
    document.getElementById("frmBiolinks").submit();
  }

</script>

@stop


