<!DOCTYPE html>
<!--
This is a starter template page. Use this page to start your new project from
scratch. This page gets rid of all links and provides the needed markup only.
-->
<html lang="pt-br">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">

  <title>{{config('app.name')}}</title>
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="{{ URL::asset('bower_components/admin-lte/plugins/fontawesome-free/css/all.min.css') }}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{ URL::asset('bower_components/admin-lte/dist/css/adminlte.min.css') }}">
  <link rel="stylesheet" href="{{ URL::asset('bower_components/admin-lte/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css') }}">
  <link rel="stylesheet" href="{{ URL::asset('bower_components/admin-lte/plugins/datatables-responsive/css/responsive.bootstrap4.min.css') }}">
  <link rel="stylesheet" href="{{ URL::asset('bower_components/admin-lte/plugins/select2/css/select2.min.css') }}">
  <link rel="stylesheet" href="{{ URL::asset('bower_components/admin-lte/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
  <link rel="stylesheet" href="{{ URL::asset('bower_components/admin-lte/plugins/datatables-buttons/css/buttons.bootstrap4.min.css') }}">
  <link rel="icon" type="image/x-icon" href="{{ URL::asset('/bower_components/admin-lte/dist/img/logo2.ico') }}">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <script src="{{ url('/js/laravel-echo-setup.js') }}" type="text/javascript"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g==" crossorigin="anonymous" referrerpolicy="no-referrer" />
</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">

  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
    </ul>


  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{route('home')}}" class="brand-link">
      <img src="{{ URL::asset('/bower_components/admin-lte/dist/img/bandeira-brasil-estrelas.png') }}" alt="Aqui você é o líder!" class="brand-image img-circle elevation-3"
           style="opacity: .8">
      <span class="brand-text font-weight-light">Liderança</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-user"></i>
              <p>{{Auth::user()->name}}</p>
            </a>
          </li>
        </ul>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          @if (Auth::user()->perfil == 1)
            <li class="nav-item has-treeview">
              <a href="{{route('cockpit')}}" class="nav-link">
                <i class="nav-icon fas fa-rocket"></i>
                <p>Cockpit</p>
              </a>
            </li>
            <li class="nav-item has-treeview">
              <a href="{{route('santinho')}}" class="nav-link">
                <i class="nav-icon fas fa-cross"></i>
                <p>Santinho</p>
              </a>
            </li>
            <li class="nav-item has-treeview">
              <a href="{{route('createLinks')}}" class="nav-link">
                <i class="nav-icon fas fa-file"></i>
                <p>Criar mini site</p>
              </a>
            </li>
          @endif
          <li class="nav-item has-treeview">
            <a href="{{route('usuarios')}}" class="nav-link">
                <i class="nav-icon fas fa-shield"></i>
                <p>Lideranças
                  <i class="right fas fa-angle-left"></i>
                </p>
            </a>
            <ul class="nav nav-treeview">
              @if (Auth::user()->perfil == 1)
                <li class="nav-item">
                  <a href="{{route('usuarios')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Listar</p>
                  </a>
                </li>
              @endif
              <li class="nav-item">
                <a href="{{route('userCreate')}}" class="nav-link">
                  <i class="far  nav-icon"></i>
                  <p>Cadastrar</p>
                </a>
              </li>

            </ul>
          </li>
          <li class="nav-item has-treeview">
            <a href="{{route('clientes')}}" class="nav-link">
              <i class="nav-icon fas fa-user"></i>
              <p>Eleitores
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              @if (Auth::user()->perfil == 1)
                <li class="nav-item">
                  <a href="{{route('clientes')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Listar</p>
                  </a>
                </li>
              @endif
              <li class="nav-item">
                <a href="{{route('clientCreate')}}" class="nav-link">
                  <i class="far  nav-icon"></i>
                  <p>Cadastrar</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{route('clientImport')}}" class="nav-link">
                  <i class="far  nav-icon"></i>
                  <p>Importar</p>
                </a>
              </li>
            </ul>
          </li>
          @if (Auth::user()->perfil == 1)
            <li class="nav-item has-treeview">
              <a href="" class="nav-link">
                  <i class="nav-icon fab fa-whatsapp"></i>
                  <p>Comunicação
                    <i class="right fas fa-angle-left"></i>
                  </p>
              </a>
              <ul class="nav nav-treeview">
                  <li class="nav-item">
                    <a href="{{route('comunicacoes')}}" class="nav-link">
                      <i class="far nav-icon"></i>
                      <p>Listar</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('comunicacoesCreate')}}" class="nav-link">
                      <i class="far nav-icon"></i>
                      <p>Enviar whatsapp</p>
                    </a>
                  </li>
                  <li class="nav-item">
                    <a href="{{route('comunicacoesConfig')}}" class="nav-link">
                      <i class="far nav-icon"></i>
                      <p>Integrar whatsapp</p>
                    </a>
                  </li>
                </ul>
            </li>
          @endif
          <li class="nav-item has-treeview">
            <a href="" class="nav-link">
              <i class="nav-icon fas fa-users"></i>
              <p>Reuniões
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              @if (Auth::user()->perfil == 1)
                <li class="nav-item">
                  <a href="{{route('reunioes')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Agenda</p>
                  </a>
                </li>
              @endif
              <li class="nav-item">
                <a href="{{route('reunioesShow')}}" class="nav-link">
                  <i class="far  nav-icon"></i>
                  <p>Listar</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{route('reunioesCreate')}}" class="nav-link">
                  <i class="far  nav-icon"></i>
                  <p>Cadastrar</p>
                </a>
              </li>
            </ul>
          </li>
          <li class="nav-item has-treeview">
            <a href="" class="nav-link">
              <i class="nav-icon fas fa-eye"></i>
              <p>Ocorrências
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{route('ocorrencias')}}" class="nav-link">
                  <i class="far  nav-icon"></i>
                  <p>Listar</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="{{route('ocorrenciasCreate')}}" class="nav-link">
                  <i class="far  nav-icon"></i>
                  <p>Cadastrar</p>
                </a>
              </li>
            </ul>
          </li>
          @if (Auth::user()->perfil == 1)
            <li class="nav-item has-treeview">
              <a href="" class="nav-link">
                <i class="nav-icon fas fa-car"></i>
                <p>Adesivos
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{route('adesivos')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Listar</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{route('adesivosCreate')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Cadastrar</p>
                  </a>
                </li>
              </ul>
            </li>
            <li class="nav-item has-treeview">
              <a href="" class="nav-link">
                <i class="nav-icon fas fa-gas-pump"></i>
                <p>Combustível
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{route('combustivel')}}" class="nav-link">
                    <i class="far nav-icon"></i>
                    <p>Listar</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{route('combustivelCreate')}}" class="nav-link">
                    <i class="far nav-icon"></i>
                    <p>Cadastrar</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{route('combustivelFechamento')}}" class="nav-link">
                    <i class="far nav-icon"></i>
                    <p>Fechamento</p>
                  </a>
                </li>
              </ul>
            </li>
            <li class="nav-item has-treeview">
              <a href="" class="nav-link">
                <i class="nav-icon fas fa-heart"></i>
                <p>Trabalho social
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{route('sociais')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Listar</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{route('grupos')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Grupos</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{route('sociaisCreate')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Cadastrar</p>
                  </a>
                </li>
              </ul>
            </li>
            <li class="nav-item has-treeview">
              <a href="" class="nav-link">
                <i class="nav-icon fas fa-dollar-sign"></i>
                <p>Financeiro
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{route('despesas')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Listar</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{route('grupos')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Grupos</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{route('despesasCreate')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Cadastrar despesa</p>
                  </a>
                </li>
              </ul>
            </li>
            <li class="nav-item has-treeview">
              <a href="" class="nav-link">
                <i class="nav-icon fas fa-chart-line"></i>
                <p>Relatórios
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{route('metas')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Metas</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{route('estatistico')}}" class="nav-link">
                    <i class="far  nav-icon"></i>
                    <p>Estatístico</p>
                  </a>
                </li>
              </ul>
            </li>
          @endif
          <li class="nav-item">
            <a href="javascript:void" onclick="$('#logout-form').submit();" class="nav-link">
              <i class="nav-icon fas fa-door-open"></i>
              <p>Sair</p>
            </a>
          </li>
        </ul>

      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    @yield('content')
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
    <div class="p-3">
      <h5>Title</h5>
      <p>Sidebar content</p>
    </div>
  </aside>
  <!-- /.control-sidebar -->

  <!-- Main Footer -->
  <footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
      Liderança
    </div>
    <!-- Default to the left -->
    <strong>Copyright &copy; 2014-2019.</strong>Todos os Direitos Reservados.
  </footer>
</div>

<form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
  @csrf
</form>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="{{ URL::asset('bower_components/admin-lte/plugins/jquery/jquery.min.js') }}"></script>
<!-- Bootstrap 4 -->
<script src="{{ URL::asset('bower_components/admin-lte/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<!-- AdminLTE App -->
<script src="{{ URL::asset('bower_components/admin-lte/dist/js/adminlte.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/datatables/jquery.dataTables.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/datatables-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/datatables-responsive/js/responsive.bootstrap4.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/inputmask/min/jquery.inputmask.bundle.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/bootstrap-switch/js/bootstrap-switch.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/datatables-buttons/js/dataTables.buttons.min.js') }}" ></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/datatables-buttons/js/buttons.bootstrap4.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/datatables-buttons/js/buttons.html5.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/datatables-buttons/js/buttons.print.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/datatables-buttons/js/buttons.colVis.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/pdfmake/pdfmake.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/jszip/jszip.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/pdfmake/vfs_fonts.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/select2/js/select2.full.min.js') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/fontawesome-free/css/all.min.css') }}"></script>
<script src="{{ URL::asset('bower_components/admin-lte/plugins/chart.js/Chart.min.js') }}"></script>
<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</body>
@yield('scripts')
</html>
