<?php
session_start();
?>

@extends('layouts.master')

@section('content')

<!-- page content -->
<div class="">
  <div class="clearfix"></div>
  <div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
      <div class="x_panel">
        <div class="x_title">
          <h2>Cadastro de colaborador</h2>
          <div class="clearfix"></div>
        </div>
        <div class="x_content">
          <br />

          @if(Session::has('flash_message'))
             <div class="alert alert-success">
             {{ Session::get('flash_message') }}
             </div>
          @endif

          @if($errors->any())
              <div class="alert alert-danger">
                  @foreach($errors->all() as $error)
                      <p>{{ $error }}</p>
                  @endforeach
              </div>
          @endif

          <form method="post" action="{{ route('contributors/store') }}" id="saveForm" data-parsley-validate class="form-horizontal form-label-left">
          	<input name="_token" type="hidden" value="{{ csrf_token() }}"/>
    
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>MATRÍCULA</label>
                    <input type="text" id="matricula" name="matricula" class="form-control" required>
                </div>

                <div class="col-md-5 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>NOME</label>
                    <input type="text" id="name" name="name" class="form-control" required>                      
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>NOME FUNCIONAL</label>
                    <input type="text" id="nome_funcional" name="nome_funcional" class="form-control">                      
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>EMAIL</label>
                    <input type="email" id="email" name="email" class="form-control">
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>SENHA</label>
                    <input type="password" id="password" name="password" class="form-control" required>                      
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>CONFIRMAR SENHA</label>
                    <input type="password" id="confirm_password" name="confirm_password" class="form-control">                      
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>ORGÃO</label>
                    <select class="form-control" name="organ" id="organ">
                        <option value=""></option>
                        <option value="FISCALIZACAO">FISCALIZAÇÃO</option>
                        <option value="SALVA VIDAS">SALVA VIDAS</option>
                        <option value="GCM">GCM</option>
                    </select>
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>DATA NASCIMENTO</label>
                    <input type="text" class="form-control has-feedback-left" id="single_cal4" name="data_nascimento" aria-describedby="inputSuccess2Status4">
                    <span class="fa fa-calendar-o form-control-feedback left" aria-hidden="true"></span>
                    <span id="inputSuccess2Status4" class="sr-only">(success)</span>
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>GÊNERO</label>
                    <select class="form-control" name="genero" id="genero">                    
                        <option value="MASCULINO">MASCULINO</option>
                        <option value="FEMININO">FEMININO</option>
                    </select>
                </div>


                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>MÃE</label>
                    <input type="text" id="mae" name="mae" class="form-control">
                  </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>RG</label>
                  <input type="text" id="rg" name="rg" class="form-control" data-mask="000000000-00">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>CPF</label>
                  <input type="text" id="cpf" name="cpf" class="form-control" data-mask="000.000.000-00">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>CNH</label>
                  <input type="text" id="cnh" name="cnh" class="form-control" data-mask="000000000000">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>CATEGORIA</label>
                    <select class="form-control" name="cnh_categoria" id="cnh_categoria">                    
                        <option value=""></option>
                        <option value="A">A</option>
                        <option value="B">B</option>
                        <option value="C">C</option>
                        <option value="D">D</option>
                        <option value="E">E</option>
                    </select>
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>ENDEREÇO</label>
                  <input type="text" id="endereco" name="endereco" class="form-control">
                </div>

                 <div class="col-md-2 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>Nº</label>
                  <input type="text" id="numero" name="numero" class="form-control">
                </div>
                
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>BAIRRO</label>
                  <input type="text" id="bairro" name="bairro" class="form-control">
                </div>
                
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>CIDADE</label>
                  <input type="text" id="cidade" name="cidade" class="form-control">                      
                </div>
                
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>WHATSAPP</label>
                  <input type="text" id="whatsapp" name="whatsapp" class="form-control" data-mask="(00) 00000-0000">
                </div>
                
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>TELEFONE</label>
                  <input type="text" id="telefone" name="telefone" class="form-control" data-mask="(00) 00000-0000">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>ESTADO CIVIL</label>
                  <select class="form-control" name="estado_civil" id="estado_civil">                    
                        <option value=""></option>
                        <option value="SOLTEIRO">SOLTEIRO</option>
                        <option value="CASADO">CASADO</option>
                        <option value="SEPARADO">SEPARADO</option>
                        <option value="DIVORCIADO">DIVORCIADO</option>
                        <option value="VÍUVO">VÍUVO</option>
                    </select>
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>CÔNJUGE</label>
                  <input type="text" id="conjuge" name="conjuge" class="form-control">
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>TELEFONE CÔNJUGE</label>
                  <input type="text" id="conjuge_whatsapp" name="conjuge_whatsapp" class="form-control" data-mask="(00) 00000-0000">
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>ALERGIA</label>
                  <input type="text" id="alergia_especificacao" name="alergia_especificacao" class="form-control">
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>DOÊNÇA PRÉ-EXISTENTE</label>
                  <input type="text" id="doenca_especificacao" name="doenca_especificacao" class="form-control">
                </div>

                <div class="col-md-5 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>MEDICAMENTO CONTROLADO</label>
                  <input type="text" id="medicamento_especificacao" name="medicamento_especificacao" class="form-control">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                     <label>TIP SANGUÍNEO</label>
                     <select class="form-control" name="tipo_sanguineo" id="tipo_sanguineo">                    
                        <option value=""></option>
                        <option value="A+">A+</option>
                        <option value="A-">A-</option>
                        <option value="B+">B+</option>
                        <option value="B-">B-</option>
                        <option value="AB+">AB+</option>
                        <option value="AB-">AB-</option>
                        <option value="O+">O+</option>
                        <option value="O-">O-</option>
                    </select>
                </div>

                <div class="clearfix"></div>
                <div class="ln_solid"></div>
                <div>
                  <div class="col-md-12">
                    <button type="button" onclick="save()" class="btn btn-success">Salvar</button>
                  </div>
                </div>                
            </div>
          </div>           
        </form>       
      </div>
    </div>
</div>

@stop

@section('scripts')

<!-- Calendar -->
<script src="{{ url('vendors/fullcalendar/dist/fullcalendar.js') }}"></script>
<script src="{{ url('vendors/fullcalendar/dist/lang/pt-br.js') }}"></script>

<script type="text/javascript">

    function save() {
        if (document.getElementById('password').value != document.getElementById('confirm_password').value) {
            alert('Atenção! Senha e confirmar senha devem ser iguais.')
            document.getElementById('password').value = ''
            document.getElementById('confirm_password').value = ''

        } else {                
            document.getElementById("saveForm").submit();
        }
    }

</script>

@stop