<?php
session_start();
?>

@extends('layouts.master')

@section('content')

<!-- page content -->
<div class="">
  <div class="clearfix"></div>
  <div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
      <div class="x_panel">
        <div class="x_title">
          <h2>Editar colaborador</h2>
          <div class="clearfix"></div>
        </div>
        <div class="x_content">
          <br />

          @if(Session::has('flash_message'))
             <div class="alert alert-success">
             {{ Session::get('flash_message') }}
             </div>
          @endif

          @if($errors->any())
              <div class="alert alert-danger">
                  @foreach($errors->all() as $error)
                      <p>{{ $error }}</p>
                  @endforeach
              </div>
          @endif

          <form method="post" action="{{ route('contributors/update') }}" id="saveForm" data-parsley-validate class="form-horizontal form-label-left">
          	<input name="_token" type="hidden" value="{{ csrf_token() }}"/>
          	<input name="id" type="hidden" value="{{$contributor->id}}"/>
    
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>MATRÍCULA</label>
                    <input type="text" id="matricula" name="matricula" class="form-control" required value="{{$contributor->matricula}}">
                </div>

                <div class="col-md-5 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>NOME</label>
                    <input type="text" id="name" name="name" class="form-control" required value="{{$contributor->name}}">                      
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>NOME FUNCIONAL</label>
                    <input type="text" id="nome_funcional" name="nome_funcional" class="form-control" value="{{$contributor->nome_funcional}}">                      
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>EMAIL</label>
                    <input type="email" id="email" name="email" class="form-control" value="{{$contributor->email}}">
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>SENHA</label>
                    <input type="password" id="password" name="password" class="form-control">                      
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>CONFIRMAR SENHA</label>
                    <input type="password" id="confirm_password" name="confirm_password" class="form-control" onblur="checkPassword()">                      
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>ORGÃO</label>
                    <select class="form-control" name="organ" id="organ">
                        @if ($contributor->organ == "FISCALIZACAO")
                          <option value="FISCALIZACAO" selected>FISCALIZAÇÃO</option>
                          <option value="SALVA VIDAS">SALVA VIDAS</option>
                          <option value="GCM">GCM</option>
                        @elseif ($contributor->organ == "SALVA VIDAS")
                          <option value="FISCALIZACAO">FISCALIZAÇÃO</option>
                          <option value="SALVA VIDAS" selected>SALVA VIDAS</option>
                          <option value="GCM">GCM</option>
                        @else
                          <option value="FISCALIZACAO">FISCALIZAÇÃO</option>
                          <option value="SALVA VIDAS">SALVA VIDAS</option>
                          <option value="GCM" selected>GCM</option>
                        @endif

                    </select>
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>DATA NASCIMENTO</label>
                    <input type="text" class="form-control has-feedback-left" id="single_cal4" name="data_nascimento" aria-describedby="inputSuccess2Status4">
                    <span class="fa fa-calendar-o form-control-feedback left" aria-hidden="true"></span>
                    <span id="inputSuccess2Status4" class="sr-only">(success)</span>
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>GÊNERO</label>
                    <select class="form-control" name="genero" id="genero">
                      @if ($contributor->organ == "MASCULINO")                
                        <option value="MASCULINO" selected>MASCULINO</option>
                        <option value="FEMININO">FEMININO</option>
                      @else
                        <option value="MASCULINO">MASCULINO</option>
                        <option value="FEMININO" selected>FEMININO</option>
                      @endif
                    </select>
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>MÃE</label>
                    <input type="text" id="mae" name="mae" class="form-control" value="{{$contributor->mae}}">
                  </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>RG</label>
                  <input type="text" id="rg" name="rg" class="form-control" data-mask="000000000-00" value="{{$contributor->rg}}">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>CPF</label>
                  <input type="text" id="cpf" name="cpf" class="form-control" data-mask="000.000.000-00" value="{{$contributor->cpf}}">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>CNH</label>
                  <input type="text" id="cnh" name="cnh" class="form-control" data-mask="000000000000" value="{{$contributor->cnh}}">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>CATEGORIA</label>
                    <select class="form-control" name="cnh_categoria" id="cnh_categoria">
                      <option value="A">A</option>
                      <option value="B">B</option>
                      <option value="C">C</option>
                      <option value="D">D</option>
                      <option value="E">E</option>
                      <option value="AB">AB</option>
                      <option value="AC">AC</option>
                      <option value="AD">AD</option>
                      <option value="AE">AE</option>
                    </select>
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>ENDEREÇO</label>
                  <input type="text" id="endereco" name="endereco" class="form-control" value="{{$contributor->endereco}}">
                </div>

                 <div class="col-md-2 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>Nº</label>
                  <input type="text" id="numero" name="numero" class="form-control" value="{{$contributor->numero}}">
                </div>
                
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>BAIRRO</label>
                  <input type="text" id="bairro" name="bairro" class="form-control" value="{{$contributor->bairro}}">
                </div>
                
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>CIDADE</label>
                  <input type="text" id="cidade" name="cidade" class="form-control" value="{{$contributor->cidade}}">                      
                </div>
                
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>WHATSAPP</label>
                  <input type="text" id="whatsapp" name="whatsapp" class="form-control" data-mask="(00) 00000-0000" value="{{$contributor->whatsapp}}">
                </div>
                
                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>TELEFONE</label>
                  <input type="text" id="telefone" name="telefone" class="form-control" data-mask="(00) 00000-0000" value="{{$contributor->telefone}}">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>ESTADO CIVIL</label>
                  <select class="form-control" name="estado_civil" id="estado_civil">
                        <option value="SOLTEIRO">SOLTEIRO</option>
                        <option value="CASADO">CASADO</option>
                        <option value="SEPARADO">SEPARADO</option>
                        <option value="DIVORCIADO">DIVORCIADO</option>
                        <option value="VÍUVO">VÍUVO</option>
                    </select>
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>CÔNJUGE</label>
                  <input type="text" id="conjuge" name="conjuge" class="form-control" value="{{$contributor->conjuge}}">
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>TELEFONE CÔNJUGE</label>
                  <input type="text" id="conjuge_whatsapp" name="conjuge_whatsapp" class="form-control" data-mask="(00) 00000-0000" value="{{$contributor->conjuge_whatsapp}}">
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>ALERGIA</label>
                  <input type="text" id="alergia_especificacao" name="alergia_especificacao" class="form-control" value="{{$contributor->alergia}}">
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>DOÊNÇA PRÉ-EXISTENTE</label>
                  <input type="text" id="doenca_especificacao" name="doenca_especificacao" class="form-control" value="{{$contributor->email}}">
                </div>

                <div class="col-md-5 col-sm-6 col-xs-12 form-group has-feedback">
                  <label>MEDICAMENTO CONTROLADO</label>
                  <input type="text" id="medicamento_especificacao" name="medicamento_especificacao" class="form-control" value="{{$contributor->email}}">
                </div>

                <div class="col-md-3 col-sm-6 col-xs-12 form-group has-feedback">
                     <label>TIP SANGUÍNEO</label>
                     <select class="form-control" name="tipo_sanguineo" id="tipo_sanguineo">
                        <option value="A+">A+</option>
                        <option value="A-">A-</option>
                        <option value="B+">B+</option>
                        <option value="B-">B-</option>
                        <option value="AB+">AB+</option>
                        <option value="AB-">AB-</option>
                        <option value="O+">O+</option>
                        <option value="O-">O-</option>
                    </select>
                </div>

                <div class="col-md-4 col-sm-6 col-xs-12 form-group has-feedback">
                    <label>ESCOLARIDADE</label>
                    <select class="form-control" name="escolaridade" id="escolaridade">                    
                      <option value="FUNDAMENTAL">FUNDAMENTAL</option>
                      <option value="MÉDIO">MÉDIO</option>
                      <option value="SUPERIOR (GRADUAÇÃO)">SUPERIOR (GRADUAÇÃO)</option>
                      <option value="PÓS-GRADUAÇÃO">PÓS-GRADUAÇÃO</option>
                      <option value="DOUTORADO">DOUTORADO</option>
                    </select>
                </div>
                <div class="clearfix"></div>
                <div class="ln_solid"></div>
                <div>
                  <div class="col-md-12">
                    <button type="submit" class="btn btn-success">Salvar</button>
                  </div>
                </div>                
            </div>
          </div>           
        </form>       
      </div>
    </div>
</div>
</div>

@stop

@section('scripts')

<!-- Calendar -->
<script src="{{ url('vendors/fullcalendar/dist/fullcalendar.js') }}"></script>
<script src="{{ url('vendors/fullcalendar/dist/lang/pt-br.js') }}"></script>

<script type="text/javascript">

  window.onload = function(){
    var contributor = {!! json_encode($contributor) !!};
    document.getElementById('cnh_categoria').value = contributor.cnh_categoria;
    document.getElementById('estado_civil').value = contributor.estado_civil;
    document.getElementById('tipo_sanguineo').value = contributor.tipo_sanguineo;
    document.getElementById('escolaridade').value = contributor.escolaridade;
  }

  function checkPassword() {
    if (document.getElementById('password').value != document.getElementById('confirm_password').value) {
      alert('Atenção! Senha e confirmar senha devem ser iguais.')
      document.getElementById('password').value = ''
      document.getElementById('confirm_password').value = ''
    }
  }

</script>

@stop