<?php
session_start();
?>
@extends('occurrences.master')

@section('content')

<!-- page content -->
<div class="">
  <div class="page-title">
    <div class="title_left" style="width: 100%;">
      <h3>Cadastro de ocorrências</h3>
    </div>
  </div>
  <div class="clearfix"></div>
  <div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
      <div class="x_panel">
        <div class="x_content">

          @if(Session::has('flash_message'))
             <div class="alert alert-success">
             {{ Session::get('flash_message') }}
             </div>
          @endif

          @if($errors->any())
              <div class="alert alert-danger">
                  @foreach($errors->all() as $error)
                      <p>{{ $error }}</p>
                  @endforeach
              </div>
          @endif

          <form method="post" action="{{url('occurrences/store')}}" id="saveForm" data-parsley-validate 
            class="form-horizontal form-label-left" enctype="multipart/form-data">
                <input type="hidden" id="_token" name="_token" value="{{ csrf_token() }}">
                <div class="form-group">
                     <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">OCORRÊNCIA <span class="required">*</span>
                     </label>
                     <div class="col-md-6 col-sm-6 col-xs-12">
                        <select class="form-control" name="occurrence" id="occurrence" required>
                            <!--<option value="#"></option>
                            <option value="AFOGAMENTO">AFOGAMENTO</option>
                            <option value="ATENDIMENTO DENÚCIA">ATENDIMENTO DENÚCIA</option>
                            <option value="CUMPRIMENTO DE CARTÃO PROGRAMA">CUMPRIMENTO DE CARTÃO PROGRAMA</option>
                            <option value="CRIME AMBIENTAL">CRIME AMBIENTAL</option>
                            <option value="PRESTAÇÃO DE SOCORRO">PRESTAÇÃO DE SOCORRO</option>
                            <option value="POLUIÇÃO SONORA">POLUIÇÃO SONORA</option>
                            <option value="RESGATE">RESGATE</option>
                            <option value="REMOÇÃO">REMOÇÃO</option>
                            <option value="VISITA">VISITA</option>-->
                            @if ($occurrencesType)
                              @foreach ($occurrencesType as $item)
                                <option value="{{ $item->occurrence_type }}">{{ strtoupper($item->occurrence_type) }}</option>
                              @endforeach
                            @endif
                        </select>
                     </div>
                </div>
                <div class="form-group">
                     <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">AUTUAÇÃO <span class="required">*</span>
                     </label>
                     <div class="col-md-6 col-sm-6 col-xs-12">
                        <select class="form-control" name="assessment" id="assessment" required>
                            <!--<option value="#"></option>
                            <option value="NOTIFICAÇÃO">NOTIFICAÇÃO</option>
                            <option value="ORIENTADO">ORIENTADO</option>
                            <option value="MULTADO">MULTADO</option>-->
                            @if ($assessmentType)
                              @foreach ($assessmentType as $item)
                                <option value="{{ $item->assessment_type }}">{{ strtoupper($item->assessment_type) }}</option>
                              @endforeach
                            @endif
                        </select>
                     </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">LOCAL <span class="required">*</span>
                    </label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <select class="form-control" id="local" name="local" required>
                            <!--<option value="#"></option>
                            <option value="19 DE MARÇO">19 DE MARÇO</option>
                            <option value="ALTO BELA VISTA">ALTO BELA VISTA</option>
                            <option value="AV. ACM">AV. ACM</option>
                            <option value="AV. CANAVIEIRAS">AV. CANAVIEIRAS</option>
                            <option value="AV. CANDEIAS">AV. CANDEIAS</option>
                            <option value="AV. ESPERANÇA">AV. ESPERANÇA</option>
                            <option value="AV. ITABUNA">AV. ITABUNA</option>
                            <option value="AV. LITORÂNEA">AV. LITORÂNEA</option>
                            <option value="AV. SOARES LOPES">AV. SOARES LOPES</option>
                            <option value="BAIXA FRIA">BAIXA FRIA</option>
                            <option value="BANCO DA VITÓRIA">BANCO DA VITÓRIA</option>
                            <option value="BARRA">BARRA</option>
                            <option value="BASÍLIO">BASÍLIO</option>
                            <option value="BELMONTE">BELMONTE</option>
                            <option value="CENTRO">CENTRO</option>
                            <option value="CEPLUS">CEPLUS</option>
                            <option value="CIDADE NOVA">CIDADE NOVA</option>
                            <option value="CIDADELLE">CIDADELLE</option>
                            <option value="COND. ALDEIA ATLÂNTICA">COND. ALDEIA ATLÂNTICA</option>
                            <option value="COND. MAR A VISTA">COND. MAR A VISTA</option>
                            <option value="COND. MAR DE IOS 1 E 2">COND. MAR DE IOS 1 E 2</option>
                            <option value="COND. MORADA DO BOSQUE">COND. MORADA DO BOSQUE</option>
                            <option value="COND. NOVA ESPERANÇA">COND. NOVA ESPERANÇA</option>
                            <option value="COND. VOG JOÃO DE GÓES">COND. VOG JOÃO DE GÓES</option>
                            <option value="CONQUISTA">CONQUISTA</option>
                            <option value="CURURUPE">CURURUPE</option>
                            <option value="DOIS DE JULHO">DOIS DE JULHO</option>
                            <option value="HERNANI SÁ">HERNANI SÁ</option>
                            <option value="IGUAPE">IGUAPE</option>
                            <option value="ILHÉUS II">ILHÉUS II</option>
                            <option value="JARDIM ATLÂNTICO">JARDIM ATLÂNTICO</option>
                            <option value="LOT. GABRIELA">LOT. GABRIELA</option>
                            <option value="LOT. PÉROLA DO MAR">LOT. PÉROLA DO MAR</option>
                            <option value="LOT. PRAIA DOURADA">LOT. PRAIA DOURADA</option>
                            <option value="LOT. TROPICAL">LOT. TROPICAL</option>
                            <option value="LUIZ GAMA">LUIZ GAMA</option>
                            <option value="MALHADO">MALHADO</option>
                            <option value="MORADA DO PORTO">MORADA DO PORTO</option>
                            <option value="NELSON COSTA">NELSON COSTA</option>
                            <option value="NOSSA SENHORA APARECIDA">NOSSA SENHORA APARECIDA</option>
                            <option value="NOSSA SENHORA DA VITORIA">NOSSA SENHORA DA VITORIA</option>
                            <option value="NOVA BRASILIA">NOVA BRASILIA</option>
                            <option value="OLIVENÇA">OLIVENÇA</option>
                            <option value="OUTEIRO">OUTEIRO</option>
                            <option value="PACHECO">PACHECO</option>
                            <option value="PIEDADE">PIEDADE</option>
                            <option value="PONTAL">PONTAL</option>
                            <option value="PONTE CATALÃO">PONTE CATALÃO</option>
                            <option value="PRAIA DO SOL">PRAIA DO SOL</option>
                            <option value="PRINCESA ISABEL">PRINCESA ISABEL</option>
                            <option value="PROA">PROA</option>
                            <option value="SANTO ANTÔNIO DE PÁDUA">SANTO ANTÔNIO DE PÁDUA</option>
                            <option value="SÃO FRANCISCO">SÃO FRANCISCO</option>
                            <option value="SÃO MIGUEL">SÃO MIGUEL</option>
                            <option value="SAPETINGA">SAPETINGA</option>
                            <option value="SAVOIA">SAVOIA</option>
                            <option value="SÍTIO PARAÍSO">SÍTIO PARAÍSO</option>
                            <option value="SÍTIO SÃO PAULO">SÍTIO SÃO PAULO</option>
                            <option value="SOL E MAR">SOL E MAR</option>
                            <option value="TAPERA">TAPERA</option>
                            <option value="TERESÓPOLIS">TERESÓPOLIS</option>
                            <option value="URBIS">URBIS</option>
                            <option value="VILELA">VILELA</option>-->
                            @if ($occurrenceLocal)
                              @foreach ($occurrenceLocal as $item)
                                <option value="{{ $item->local }}">{{ strtoupper($item->local) }}</option>
                              @endforeach
                            @endif
                        </select>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">ENVOLVIDOS</label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <textarea class="form-control"  name="involveds" id="involveds" rows="5"></textarea>
                    </div>
                </div>

                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="first-name">RELATO <span class="required">*</span>
                    </label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <textarea class="form-control"  name="report" id="report" rows="10" required></textarea>
                    </div>
                </div>

                <div class="form-group">
                  <label class="control-label col-md-3 col-sm-3 col-xs-12" for="last-name">ANEXAR FOTO</label>
                  <div class="col-md-6 col-sm-6 col-xs-12">
                    <input type="file" id="file-input" name="imagem[]" multiple class="form-control">
                  </div>
                </div>
  
                <div class="ln_solid"></div>
                <div class="form-group">
                  <div id="preview" class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                    
                  </div>
                </div>
                <div class="ln_solid"></div>
                <div class="form-group">
                  <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                    <button type="submit" class="btn btn-success">Salvar</button>
                  </div>
                </div>              
          </form>
          </div>
        </div>          
    </div>
  </div>
</div>

@stop

@section('scripts')

  <script type="text/javascript">

    var occurrencePhotos = []
    var index = 0

    function previewImages() {
      var preview = document.querySelector('#preview');
      if (this.files) {
        [].forEach.call(this.files, readAndPreview);
      }

      function readAndPreview(file) {
        if (!/\.(jpe?g|png|gif)$/i.test(file.name)) {
          return alert(file.name + " não é um arquivo de imagem.");
        }
        
        var reader = new FileReader();
        
        reader.addEventListener("load", function() {
          var image = new Image();
          image.id = 'img'+index
          image.name = 'img'+index
          image.height = 100;
          image.title = file.name;
          image.src = this.result;
          image.style.padding = "10px 10px 10px 10px";
          preview.appendChild(image);
          index++;
        });
        
        reader.readAsDataURL(file);
        
      }

    }

    document.querySelector('#file-input').addEventListener("change", previewImages);

  </script>

@stop

