<?php
session_start();
?>
@extends('layouts.master')

@section('content')

<!-- page content -->
<div class="">
  <div class="page-title">
    <div class="title_left">
      <h3>Colaboradores</h3>
    </div>
  </div>

  <div class="clearfix"></div>

  <div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
      <div class="x_panel">
        <div class="x_title">
          <h2>Lista</h2>
          <div class="clearfix"></div>
        </div>

        <div class="x_content">
        <br />
        
        <table class="table table-hover table-bordered" id="rvs-table">
            <thead>
                <th>MATRICULA</th>
                <th>NOME</th>
                <th>NOME FUNCIONAL</th>
                <th>CELULAR</th>
                <th style="width: 10%">AÇÕES</th>
            </thead>
            @if ($contributors)
            <tbody>
                @foreach($contributors as $contributor)       
                    <tr> 
                        <td>{{ $contributor->matricula }}</td>
                        <td>{{ $contributor->name }}</td>
                        <td>{{ $contributor->nome_funcional }}</td>
                        <td>{{ $contributor->whatsapp }}</td>
                        <td>
                            {!! Form::open([
                                'method' => 'get',
                                'route' => ['contributors/edit', $contributor->id]
                            ]) !!}
                            <button 
                                type="submit" 
                                title="Editar"
                                style="float:left;"><i class="fa fa-edit"></i></button>
                            {!! Form::close() !!}

                            {!! Form::open([
                                'method' => 'get',
                                'route' => ['user/delete', $contributor->id],
                                'onsubmit' => 'return ConfirmDelete()'
                            ]) !!}
                            <button 
                                type="submit" 
                                title="Excluir"><i class="fa fa-trash"></i></button>
                            {!! Form::close() !!}
                        </td>
                    </tr>
                @endforeach
            </tbody>
            @endif
        </table> 
        <div class="clearfix"></div>
        <div class="ln_solid"></div>
          <a href="{{ route('contributors/create') }}" class="btn btn-primary">Novo colaborador</a>
        </div>
    </div>
  </div>
 </div>
</div>

@stop

@section('scripts')

<script type="text/javascript">
    
        $('#rvs-table').DataTable({
            "processing": true,
            "oLanguage":{
                "sEmptyTable": "Nenhum registro encontrado",
                "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                "sInfoPostFix": "",
                "sInfoThousands": ".",
                "sLengthMenu": "_MENU_ Resultados por página",
                "sLoadingRecords": "Carregando...",
                "sProcessing": "Processando...",
                "sZeroRecords": "Nenhum registro encontrado",
                "sSearch": "Pesquisar  ",
            "oPaginate": {
               "sNext": "Próximo",
               "sPrevious": "Anterior",
               "sFirst": "Primeiro",
               "sLast": "Último"
            },
        }
            
    });

    function ConfirmDelete()
    {
        var x = confirm("Tem certeza que deseja excluir?");
        if (x)
            return true;
        else
            return false;
    }

</script>

@stop


