@extends('masterpage.masterpage')

@section ('content')
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Reuniões</h1>
        </div>
      </div>
    </div>
  </section>

  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          @if(Session::has('flash_message'))
            <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-check"></i> Alerta!</h5>
              {{ Session::get('flash_message')}}
            </div>
          @endif
          @if(Session::has('error'))
            <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-ban"></i> Alert!</h5>
              {{ Session::get('error')}}
            </div>
          @endif
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Lista</h3>
           
            </div>
            @if (Auth::user()->perfil == 1)
                <div>
                <div class="card-header">
                    <a style="margin-top: 10px" href="{{ URL('reunioes/create') }}" class="btn btn-primary">Nova reunião</a>
                </div>  
                </div> 
            @endif
            <div class="card-body">            
              <table id="example1" class="table table-striped">
                <thead>                
                <tr>
                  <th>Liderança</th>
                  <th>Data</th>
                  <th>Local</th>           
                  <th style="text-align: right">Ações</th>
                </tr>
                </thead>
                <tbody>
                  @foreach ($reunioes as $reuniao)
                  <tr>
                    <td>{{ $reuniao->responsavel }}</td>
                    <td>{{ date("d/m/Y H:i", strtotime($reuniao->data_hora)) }}</td>
                    <td>{{ $reuniao->local }}</td>               
                    <td style="text-align: right">
                      <div>
                        <a href="{{ URL('reunioes/getSubLider/'. $reuniao->id) }}" class="btn btn-primary btn rounded-circle"
                            title="Adicionar participantes"><i class="fa fa-user"></i>
                        </a>
                        @if (Auth::user()->perfil == 1)
                            <a href="{{ URL('reunioes/insertLider/'. $reuniao->id) }}" class="btn btn-success btn rounded-circle"
                                title="Marcar reunião como realizada"><i class="fa fa-check"></i>
                            </a>
                        @endif
                      </div>  
                    </td>
                  </tr>   
                @endforeach
                </tbody> 
                </tfoot>
              </table>
              <a style="margin-top: 10px" href="{{ URL('reunioes/create') }}" class="btn btn-primary">Nova reunião</a>
            </div>
          </div>
        </div>
      </div>
    </div>
    
  </section>

  @stop

 @section('scripts')
    <script>

      $(function () {
        $("#example1").DataTable({
          "responsive": true,
          "autoWidth": false,
          "oLanguage":{
            "sEmptyTable": "Nenhum registro encontrado",
            "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
            "sInfoFiltered": "(Filtrados de _MAX_ registros)",
            "sInfoPostFix": "",
            "sInfoThousands": ".",
            "sLengthMenu": "_MENU_ Resultados por página",
            "sLoadingRecords": "Carregando...",
            "sProcessing": "Processando...",
            "sZeroRecords": "Nenhum registro encontrado",
            "sSearch": "Pesquisar ",
            "oPaginate": {
              "sNext": "Próximo",
              "sPrevious": "Anterior",
              "sFirst": "Primeiro",
              "sLast": "Último"
            }
          }
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      });

    </script>
 @stop