@extends('masterpage.masterpage')

@section('content')
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Santinho</h1>
          </div>         
        </div>
      </div>
    </section>

    <section class="content">
      <div class="container-fluid">
        @if(Session::has('flash_message'))
          <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            {{ Session::get('flash_message')}}
          </div>
        @endif
        @if(Session::has('flash_erro'))
          <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            {{ Session::get('flash_erro')}}
          </div>
        @endif

        <div class="row">  
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title"><b><i>Cadastro</b></i></h3>
              </div>
              <form id="santinhoForm" action="{{ URL('santinho/store') }}" method="post" role="form" enctype="multipart/form-data">
                <input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />
                <div class="card-body">
                  <div class="row">
                    <div class="col-12">
                      <div class="form-group">
                        <label for="santinhoInputFile">Arquivo de imagem (1024x1024px)</label>
                        <div class="input-group">
                          <div class="custom-file">
                            <input type="file" class="custom-file-input" id="santinhoInputFile" name="santinhoInputFile" onchange="loadFile(event)"
                              accept="image/png, image/jpg, image/jpeg, image/webp">
                            <label class="custom-file-label" for="santinhoInputFile">Selecionar arquivo</label>
                          </div>
                        </div>
                      </div>
                      <div class="form-group">
                        <label>Preview</label>
                        <div class="input-group">
                          <img id="santinhoImagem" name="santinhoImagem" src="../{{ $configs[0]->santinho . '?' . time() }}"  />
                        </div>
                      </div>
                    </div>
                  </div>                
                </div>
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Salvar</button>
                </div>
              </form>
            </div>           
          </div>
        </div>
      </div>
    </section>
@stop  

@section('scripts')

  <script>
    
    var loadFile = function(event) {
      var output = document.getElementById('santinhoImagem');
      output.src = URL.createObjectURL(event.target.files[0]);
      output.onload = function() {
        URL.revokeObjectURL(output.src) // free memory
      }
    };

  </script>

@stop