<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/mail', function () { $details = [
    'title' => 'Segue o seu acesso ao sistema',
    'body' => 'Você foi cadastrado ao Ybankconsign',
    'link' => 'www.uol.com.br',
    'linkName' => 'CLIQUE AQUI'
]; return view('emails.myTestMail', compact('details'));});

Route::group(['middleware' => ['auth']], function () {
    Route::get('/', 'HomeController@index');
    Route::get('/home', 'HomeController@index')->name('home');

    Route::get('clientes', 'ClientesController@index')->name('clientes');
    Route::get('clientes/create', 'ClientesController@create')->name('clientCreate');
    Route::get('clientes/importar', 'ClientesController@importar')->name('clientImport');
    Route::post('clientes/storeImportacao', 'ClientesController@storeImportacao')->name('storeImportacao');
    Route::get('clientes/details/{id}', 'ClientesController@details')->name('details');
    Route::post('clientes/store', 'ClientesController@store');
    Route::get('clientes/edit/{id}', 'ClientesController@edit');
    Route::post('clientes/update', 'ClientesController@update');
    Route::post('clientes/destroy', 'ClientesController@destroy');
    Route::post('clientes/changeStatus', 'ClientesController@changeStatus');
    Route::post('clientes/checkCPF', 'ClientesController@checkCPF');
    Route::post('clientes/checkEmail', 'ClientesController@checkEmail');
    Route::post('clientes/checkWhatsapp', 'ClientesController@checkWhatsapp');
    Route::post('clientes/importContactWhatsappp', 'ClientesController@importContactWhatsappp')->name('importContactWhatsappp');
    Route::post('clientes/updateContactWhatsappp', 'ClientesController@updateContactWhatsappp')->name('updateContactWhatsappp');

    Route::get('usuarios', 'UsuariosController@index')->name('usuarios');
    Route::get('usuarios/create', 'UsuariosController@create')->name('userCreate');
    Route::post('usuarios/store', 'UsuariosController@store');
    Route::get('usuarios/edit/{id}', 'UsuariosController@edit');
    Route::post('usuarios/update', 'UsuariosController@update');
    Route::post('usuarios/changeStatus', 'UsuariosController@changeStatus');
    Route::post('usuarios/checkWhatsapp', 'UsuariosController@checkWhatsapp');

    Route::get('relatorios/metas', 'RelatorioController@metas')->name('metas');
    Route::get('relatorios/estatistico', 'RelatorioController@estatistico')->name('estatistico');

    Route::get('atendimento', 'AtendimentoController@index')->name('atendimento');
    Route::post('atendimento/store', 'AtendimentoController@store');

    Route::get('reunioes', 'ReunioesController@index')->name('reunioes');
    Route::get('reunioes/create', 'ReunioesController@create')->name('reunioesCreate');
    Route::post('reunioes/store', 'ReunioesController@store');
    Route::get('reunioes/edit/{id}', 'ReunioesController@edit');
    Route::get('reunioes/insertLider/{id}', 'ReunioesController@insertLider');
    Route::get('reunioes/show', 'ReunioesController@show')->name('reunioesShow');
    Route::get('reunioes/getSubLider/{reuniaoId}', 'ReunioesController@getSubLider');
    Route::post('reunioes/update', 'ReunioesController@update');
    Route::post('reunioes/checkin', 'ReunioesController@checkin');

    Route::get('adesivos', 'AdesivosController@index')->name('adesivos');
    Route::get('adesivos/create', 'AdesivosController@create')->name('adesivosCreate');
    Route::post('adesivos/store', 'AdesivosController@store');
    Route::get('adesivos/edit/{id}', 'AdesivosController@edit');
    Route::post('adesivos/update', 'AdesivosController@update');
    Route::post('adesivos/destroy', 'AdesivosController@destroy');

    Route::get('grupos', 'GruposController@index')->name('grupos');
    Route::get('grupos/create', 'GruposController@create')->name('gruposCreate');
    Route::post('grupos/store', 'GruposController@store');
    Route::get('grupos/edit/{id}', 'GruposController@edit');
    Route::post('grupos/update', 'GruposController@update');
    Route::post('grupos/destroy', 'GruposController@destroy');

    Route::get('comunicacoes', 'ComunicacaoController@index')->name('comunicacoes');
    Route::get('comunicacoes/create', 'ComunicacaoController@create')->name('comunicacoesCreate');
    Route::get('comunicacoes/config', 'ComunicacaoController@config')->name('comunicacoesConfig');
    Route::post('comunicacoes/store', 'ComunicacaoController@store');
    Route::post('comunicacoes/destroy', 'ComunicacaoController@destroy');
    Route::get('comunicacoes/getPromotion/{id}', 'ComunicacaoController@getPromotion');

    Route::get('sociais', 'SociaisController@index')->name('sociais');
    Route::get('sociais/create', 'SociaisController@create')->name('sociaisCreate');
    Route::post('sociais/store', 'SociaisController@store');
    Route::get('sociais/edit/{id}', 'SociaisController@edit');
    Route::post('sociais/update', 'SociaisController@update');
    Route::post('sociais/destroy', 'SociaisController@destroy');
    Route::post('sociais/getPerson', 'SociaisController@getPerson');
    Route::post('sociais/getEleitores', 'SociaisController@getEleitores');

    Route::get('despesas', 'DespesasController@index')->name('despesas');
    Route::get('despesas/create', 'DespesasController@create')->name('despesasCreate');
    Route::post('despesas/store', 'DespesasController@store');
    Route::get('despesas/edit/{id}', 'DespesasController@edit');
    Route::post('despesas/update', 'DespesasController@update');
    Route::post('despesas/destroy', 'DespesasController@destroy');

    Route::get('combustivel', 'CombustivelController@index')->name('combustivel');
    Route::get('combustivel/create', 'CombustivelController@create')->name('combustivelCreate');
    Route::post('combustivel/store', 'CombustivelController@store');
    Route::get('combustivel/edit/{id}', 'CombustivelController@edit');
    Route::post('combustivel/update', 'CombustivelController@update');
    Route::post('combustivel/destroy', 'CombustivelController@destroy');
    Route::post('combustivel/storePrint', 'CombustivelController@storePrint');
    Route::post('combustivel/checkControle', 'CombustivelController@checkControle');
    Route::post('combustivel/setControle', 'CombustivelController@setControle');
    Route::get('combustivel/print/{id}', 'CombustivelController@print');
    Route::get('combustivel/fechamento', 'CombustivelController@fechamento')->name('combustivelFechamento');

    Route::get('occurrences/show', 'OccurrencesController@show')->name('ocorrencias');
    Route::get('occurrences/myOccurrences', 'OccurrencesController@myOccurrences');
    Route::get('occurrences/home', 'OccurrencesController@home');
    Route::get('occurrences/create', 'OccurrencesController@create')->name('ocorrenciasCreate');
    Route::get('occurrences/mobile', 'OccurrencesController@mobile');
    Route::post('occurrences/logar', 'PagesController@logar');
    Route::post('occurrences/store', 'OccurrencesController@store');
    Route::post('occurrences/involveds', 'OccurrencesController@involveds');
    Route::post('occurrences/pictures', 'OccurrencesController@pictures');
    Route::post('occurrences/getData', 'OccurrencesController@getData');
    Route::post('occurrences/getDataMobile', 'OccurrencesController@getDataMobile');
    Route::post('occurrences/storeOccurrenceType', 'OccurrencesController@storeOccurrenceType');
    Route::post('occurrences/storeOccurrenceLocal', 'OccurrencesController@storeOccurrenceLocal');
    Route::post('occurrences/storeAssessmentType', 'OccurrencesController@storeAssessmentType');
    Route::post('occurrences/updateOccurrenceType', 'OccurrencesController@updateOccurrenceType');
    Route::post('occurrences/updateAssessmentType', 'OccurrencesController@updateAssessmentType');

    Route::get('cockpit/index', 'CockpitController@index')->name('cockpit');
    Route::post('cockpit/store', 'CockpitController@store');

    Route::get('santinho/create', 'SantinhoController@create')->name('santinho');
    Route::post('santinho/store', 'SantinhoController@store');

    Route::get('links/create', 'LinksController@create')->name('createLinks');
    Route::post('links/store', 'LinksController@store');
});

Route::get('links', 'BiolinkController@links')->name('links');

Route::auth();











