<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Recibo de abastecimento</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    <link rel="icon" type="image/x-icon" href="<?php echo e(URL::asset('/bower_components/admin-lte/dist/img/logo.ico')); ?>">
    <script src="https://cdn.jsdelivr.net/jsbarcode/3.6.0/JsBarcode.all.min.js"></script>
</head>
<body>

    <div id="printer">
        <section class="content-header">
            <div class="container-fluid">
                <div class="row mb-2">
                    <div class="col-sm-6">
                        <h2>Controle de combustível</h2>
                    </div>
                </div>
            </div>
        </section>
        <section class="content">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-md-12">
                        <div class="card card-default">
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item d-flex justify-content-between lh-condensed">Controle
                                    <span class="text-muted"><?php echo e($combustivel->id); ?></span>
                                </li>
                                <li class="list-group-item d-flex justify-content-between lh-condensed">Data
                                    <span class="text-muted"><?php echo e(date("d/m/Y", strtotime($combustivel->created_at))); ?></span>
                                </li>
                                <li class="list-group-item d-flex justify-content-between lh-condensed">Placa
                                    <span class="text-muted"><?php echo e($combustivel->placa); ?></span>
                                </li>
                                <li class="list-group-item d-flex justify-content-between lh-condensed">Valor
                                    <span class="text-muted">R$ <?php echo e(number_format($combustivel->valor, 2, ',', '.')); ?></span>
                                </li>
                                <li class="list-group-item d-flex justify-content-between lh-condensed">
                                    <input type="hidden" name="barcode" id="barcode" value="<?php echo e($combustivel->id); ?>" />
                                    <svg id="codBarras"></svg>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>

    <iframe name="print_frame" width="0" height="0" frameborder="0" src="about:blank"></iframe>
    
</body>
    <script defer>
        
        $(document).ready(function() {
            if (document.getElementById('barcode').value != '') {
                JsBarcode('#codBarras', document.getElementById('barcode').value);
            }
            window.frames["print_frame"].document.body.innerHTML = document.getElementById("printer").innerHTML;
            window.frames["print_frame"].window.focus();
            window.frames["print_frame"].window.print();
        });

    </script>
</html><?php /**PATH /home/bizybox/public_html/erasmoavila/resources/views/combustivel/print.blade.php ENDPATH**/ ?>