
<!-- Content Header (Page header) -->

<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Reuniões</h1>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Checkin</h3>
            </div>
            <div class="card-body">            
              <table id="example1" class="table table-striped">
                <thead>                
                <tr>
                  <th>Sub lider</th>
                  <th>Telefone</th>    
                  <th style="text-align: right">Marcar presença</th>
                </tr>
                </thead>
                <tbody>
                  <?php $__currentLoopData = $subLideres; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subLider): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr>
                    <td><?php echo e($subLider->name); ?></td>
                    <td><?php echo e($subLider->whatsapp); ?></td>               
                    <td style="text-align: right">
                      <div class="form-check">
                        <input class="form-check-input" style="width: 20px; height: 20px;" type="checkbox" onclick="checkin(this)" 
                          id="<?php echo e($subLider->id); ?>" subName="<?php echo e($subLider->name); ?>">
                      </div>
                    </td>
                  </tr>   
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody> 
                </tfoot>
              </table>
            </div>
            <div class="card-footer">
              <button type="button" onclick="submitCheckin()" class="btn btn-primary">Salvar</button>
              <a href="<?php echo e(url('reunioes/show')); ?>" class="btn btn-default">Voltar </a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />

  </section>

  <?php $__env->stopSection(); ?>

 <?php $__env->startSection('scripts'); ?>

    <script>

      $(function () {
        $("#example1").DataTable({
          "responsive": true,
          "autoWidth": false,
          "oLanguage":{
            "sEmptyTable": "Nenhum registro encontrado",
            "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
            "sInfoFiltered": "(Filtrados de _MAX_ registros)",
            "sInfoPostFix": "",
            "sInfoThousands": ".",
            "sLengthMenu": "_MENU_ Resultados por página",
            "sLoadingRecords": "Carregando...",
            "sProcessing": "Processando...",
            "sZeroRecords": "Nenhum registro encontrado",
            "sSearch": "Pesquisar ",
            "oPaginate": {
              "sNext": "Próximo",
              "sPrevious": "Anterior",
              "sFirst": "Primeiro",
              "sLast": "Último"
            }
            }
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      });

      var subId = []
      var subName = []
      var reuniaoId = <?php echo json_encode($reuniaoId); ?>

      function checkin(params) {
        if (document.getElementById(params.getAttribute('id')).checked) {
          subId.push(params.getAttribute('id'))
          subName.push(params.getAttribute('subName'))
        } else {
          subId = subId.filter(function(value, index, arr) { 
            return value != params.getAttribute('id');
          });
          subName = subName.filter(function(value, index, arr) { 
            return value != params.getAttribute('subName');
          });
        }
      }

      function submitCheckin() {
        var csrfToken = $('#csrf-token').val();
        var data = new FormData();
        data.append('reuniaoId', reuniaoId);
        data.append('subId', JSON.stringify(subId))
        data.append('subName', JSON.stringify(subName))
        
        fetch('<?php echo e(URL('reunioes/checkin')); ?>', {
          method: 'post',
          body: data,
          headers: {
              "X-CSRF-Token": csrfToken
          },       
        }).then(function(response) {
          Swal.fire({
            icon: 'success',
            title: 'Cadastro realizado com sucesso',
            showConfirmButton: false,
            timer: 1500
          })
          location.reload();
        }).then(function(json) {
        }).catch(function(error) {
        });
          
      }

    </script>
 <?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bizybox/public_html/erasmoavila/resources/views/reunioes/checkin.blade.php ENDPATH**/ ?>