

<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Despesas</h1>
        </div>
      </div>
    </div>
  </section>

  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <?php if(Session::has('flash_message')): ?>
            <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-check"></i> <?php echo e(Session::get('flash_message')); ?></h5>
            </div>
          <?php endif; ?>
          <?php if(Session::has('error')): ?>
            <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-ban"></i> <?php echo e(Session::get('error')); ?></h5>
            </div>
          <?php endif; ?>
          <div class="card">
            <div class="card-header">
              <h3 class="card-title"><b><i>Lista</b></i></h3>
           
            </div>
            <div class="card-header">
                <a style="margin-top: 10px" href="<?php echo e(URL('despesas/create')); ?>" class="btn btn-primary">Novo despesa</a>
            </div>  
            <div class="card-body">            
              <table id="example1" class="table table-striped">
                <thead>                
                <tr>
                  <th>Data</th>
                  <th>Grupo</th>
                  <th>Descrição</th>
                  <th>Valor</th>
                  <th>Responsável</th>
                  <th style="text-align: right">Ações</th>
                </tr>
                </thead>
                <tbody>
                  <?php $__currentLoopData = $despesas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $despesa): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr>
                    <td><?php echo e(date("d/m/Y", strtotime($despesa->data))); ?></td>
                    <td><?php echo e($despesa->grupo->nome); ?></td>
                    <td><?php echo e($despesa->descricao); ?></td>
                    <td><?php echo e(number_format($despesa->valor, '2', ',', '.')); ?></td>
                    <td><?php echo e($despesa->responsavel); ?></td>
                    <td style="text-align: right">
                      <div>
                        <a href="<?php echo e(URL('despesas/edit/'. $despesa->id)); ?>" class="btn btn-primary btn rounded-circle"
                          title="Editar"><i class="fa fa-edit"></i>
                        </a>
                        <a href="#" onclick="confirmDelete(this)" despesaId="<?php echo e($despesa->id); ?>" class="btn btn-danger btn rounded-circle"
                            title="Excluir"><i class="fa fa-trash"></i>
                        </a>
                      </div>  
                    </td>
                  </tr>   
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody> 
                </tfoot>
              </table>
              <a style="margin-top: 10px" href="<?php echo e(URL('despesas/create')); ?>" class="btn btn-primary">Novo despesa</a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
    
  </section>

  <?php $__env->stopSection(); ?>

 <?php $__env->startSection('scripts'); ?>

  <script>

    $(function () {
      $("#example1").DataTable({
          "responsive": true,
          "autoWidth": false,
          "oLanguage":{
            "sEmptyTable": "Nenhum registro encontrado",
            "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
            "sInfoFiltered": "(Filtrados de _MAX_ registros)",
            "sInfoPostFix": "",
            "sInfoThousands": ".",
            "sLengthMenu": "_MENU_ Resultados por página",
            "sLoadingRecords": "Carregando...",
            "sProcessing": "Processando...",
            "sZeroRecords": "Nenhum registro encontrado",
            "sSearch": "Pesquisar ",
            "oPaginate": {
                  "sNext": "Próximo",
                  "sPrevious": "Anterior",
                  "sFirst": "Primeiro",
                  "sLast": "Último"
            }
          }
      }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    })

    function confirmDelete(params) {
      Swal.fire({
        title: 'Tem certeza que deseja excluir?',
        text: "Os dados serão excluídos permanentemente!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Confirmar',
        cancelButtonText: 'Cancelar',
      }).then((result) => {
        if (result.isConfirmed) {
          var csrfToken = document.getElementById('csrf-token').value;
          var data = new FormData();
          data.append('despesaId', params.getAttribute('despesaId'));      
          fetch('<?php echo e(URL('despesas/destroy')); ?>', {
            method: 'post',
            body: data,
            headers: {
              "X-CSRF-Token": csrfToken
            },       
          }).then(function(response) {
            if (response.status === 200) {
              Swal.fire({
                icon: 'success',
                title: 'Cadastro excluído com sucesso',
                showConfirmButton: false,
                timer: 1500
              })
              window.location.reload();
            } else {
              Swal.fire(
                'Falha!',
                'Falha ao excluir despesa.',
                'error'
              )
            }
          });
        }
      })
    }

    </script>
 <?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\lideranca\APPWEB\resources\views/despesas/show.blade.php ENDPATH**/ ?>