

<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Comunicação</h1>
        </div>
      </div>
    </div>
  </section>
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <?php if(Session::has('flash_message')): ?>
            <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-check"></i> <?php echo e(Session::get('flash_message')); ?></h5>
            </div>
          <?php endif; ?>
          <?php if(Session::has('error')): ?>
            <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-ban"></i> <?php echo e(Session::get('error')); ?></h5>
            </div>
          <?php endif; ?>
          <div class="card">
            <div class="card-header">
              <h3 class="card-title"><b><i>Lista</b></i></h3>
           
            </div>
            <div class="card-header">
                <a style="margin-top: 10px" href="<?php echo e(URL('comunicacoes/create')); ?>" class="btn btn-primary">Nova comunicação</a>
            </div>  
            <div class="card-body">            
              <table id="example1" class="table table-striped">
                <thead>                
                <tr>
                  <th>Data</th>
                  <th>Para quem</th>
                  <th>Tipo</th>
                  <th>Mensagem</th>
                  <th>Responsável</th>
                  <th style="text-align: right">Ações</th>
                </tr>
                </thead>
                <tbody>
                  <?php $__currentLoopData = $comunicacoes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comunicacao): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                      <td><?php echo e(date("d/m/Y H:i", strtotime($comunicacao->created_at))); ?></td>
                      <td><?php echo e($comunicacao->pessoa_enviar); ?></td>
                      <td><?php echo e($comunicacao->tipo_mensagem); ?></td>
                      <?php if( $comunicacao->tipo_mensagem == 'Mensagem'): ?>
                        <td><?php echo e($comunicacao->mensagem); ?></td>
                      <?php else: ?>
                        <td><?php echo e($comunicacao->mensagem); ?>

                          (<?php $__currentLoopData = $comunicacao->pergunta; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <?php if($key == 0): ?>
                                <?php echo e($value->pergunta); ?>

                              <?php else: ?>
                                <?php echo e(', ' . $value->pergunta); ?>

                              <?php endif; ?>
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>)
                        </td>
                      <?php endif; ?>
                      <td><?php echo e($comunicacao->responsavel); ?></td>
                      <td style="text-align: right">
                        <div>
                          <a href="#" onclick="confirmDelete(this)" comunicacaoId="<?php echo e($comunicacao->id); ?>" class="btn btn-danger btn rounded-circle"
                            title="Excluir"><i class="fa fa-trash"></i>
                          </a>
                        </div>  
                      </td>
                    </tr>   
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
              </table>
              <a style="margin-top: 10px" href="<?php echo e(URL('comunicacoes/create')); ?>" class="btn btn-primary">Nova comunicação</a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
    
  </section>

  <?php $__env->stopSection(); ?>

 <?php $__env->startSection('scripts'); ?>

    <script>

      $(function () {
        $("#example1").DataTable({
          "responsive": true,
          "autoWidth": false,
          "oLanguage":{
            "sEmptyTable": "Nenhum registro encontrado",
            "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
            "sInfoFiltered": "(Filtrados de _MAX_ registros)",
            "sInfoPostFix": "",
            "sInfoThousands": ".",
            "sLengthMenu": "_MENU_ Resultados por página",
            "sLoadingRecords": "Carregando...",
            "sProcessing": "Processando...",
            "sZeroRecords": "Nenhum registro encontrado",
            "sSearch": "Pesquisar ",
            "oPaginate": {
              "sNext": "Próximo",
              "sPrevious": "Anterior",
              "sFirst": "Primeiro",
              "sLast": "Último"
            }
          }
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
      });

      function confirmDelete(params) {
        Swal.fire({
          title: 'Tem certeza que deseja excluir?',
          text: "Os dados serão excluídos permanentemente!",
          icon: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Confirmar',
          cancelButtonText: 'Cancelar',
        }).then((result) => {
          if (result.isConfirmed) {
            var csrfToken = document.getElementById('csrf-token').value;
            var data = new FormData();
            data.append('comunicacaoId', params.getAttribute('comunicacaoId'));      
            fetch('<?php echo e(URL('comunicacoes/destroy')); ?>', {
              method: 'post',
              body: data,
              headers: {
                "X-CSRF-Token": csrfToken
              },       
            }).then(function(response) {
              if (response.status === 200) {
                Swal.fire({
                  icon: 'success',
                  title: 'Cadastro excluído com sucesso',
                  showConfirmButton: false,
                  timer: 1500
                })
                window.location.reload();
              } else {
                Swal.fire(
                  'Falha!',
                  'Falha ao excluir grupo.',
                  'error'
                )
              }
            });
          }
        })
      }

    </script>
 <?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bizybox/public_html/erasmoavila/resources/views/comunicacoes/show.blade.php ENDPATH**/ ?>