
<!-- Content Header (Page header) -->

<?php $__env->startSection('content'); ?>
<section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Pacientes</h1>
        </div>
      </div>
    </div><!-- /.container-fluid -->
  </section>
  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <?php if(Session::has('message')): ?>
            <div class="alert alert-success alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-check"></i> Alerta!</h5>
              <?php echo e(Session::get('message')); ?>

            </div>
          <?php endif; ?>
          <?php if(Session::has('error')): ?>
            <div class="alert alert-danger alert-dismissible">
              <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
              <h5><i class="icon fas fa-ban"></i> Alert!</h5>
              <?php echo e(Session::get('error')); ?>

            </div>
          <?php endif; ?>
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">Olá , ai está seus Pacientes</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              <table id="example1" class="table table-striped">
                <thead>
                <tr>
                  <th>Pacientes</th>
                  <th>Email</th>
                  <th>Telefone</th>
                  
                  <th>Acompanhante</th>              
                  <th style="text-align: right">Ações</th>
                </tr>
                </thead>
                <tbody>
                  <?php $__currentLoopData = $clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                  <tr>
                    <td><?php echo e($client->name); ?></td>
                    <td><?php echo e($client->email); ?></td>
                    <td><?php echo e($client->phone); ?></td>
                  
                    <td><?php echo e($client->acompanhante->name); ?></td>
                
                   
                    <td style="text-align: right">
                      <div>
                        <a href="<?php echo e(URL('clientes/edit/'. $client->id)); ?>" class="btn btn-primary btn-xs"><i class="fa fa-edit"></i></a>
                        <?php if(Auth::user()->perfil != 2): ?>
                            <form style="float: right; margin-left: 3px" method="POST" action="<?php echo e(URL('clientes/destroy/'. $client->id)); ?>">
                              <?php echo e(csrf_field()); ?>

                              <?php echo e(method_field('delete')); ?>

                              <button class="btn btn-danger btn-xs" type="submit"><i class="fa fa-trash"></i></button> 
                            </form>
                        <?php else: ?>
                           <button disabled onclick="changeStatus(<?php echo e($client->id); ?>)" class="btn btn-primary btn-xs"><i class="fa fa-user-alt"></i></button>
                        <?php endif; ?>
                      <?php if(Auth::user()->perfil == 1): ?>
                        <form style="float: right; margin-left: 3px" method="POST" action="<?php echo e(URL('clientes/details/'. $client->id)); ?>">
                          <?php echo e(csrf_field()); ?>

                          <?php echo e(method_field('get')); ?>

                          <button class="btn btn-primary btn-xs" type="submit"><i class="fa fa-user-alt"></i></button> 
                        </form>
                      <?php endif; ?>
                      </div>  
                    </td>
                  </tr>   
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody> 
                </tfoot>
              </table>
              <a style="margin-top: 10px" href="<?php echo e(URL('clientes/create')); ?>" class="btn btn-primary">Novo Pacientes</a>
            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
    
  </section>
  <!-- /.content -->
 <!-- /.modal -->

 <div class="modal fade" id="modal-client">
  <div class="modal-dialog modal-sm">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Status Cliente</h4>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
      </div>
      <div class="modal-body">
        <div class="form-group">
          <select id="stateSelect" class="form-control">
            <option value="0">Analise</option>
            <option value="1">Aprovado</option>
            <option value="2">Negado</option>
          </select>
        </div>
      </div>
      <div class="modal-footer justify-content-between">
        <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
        <button id="submitClientStatus" onclick="" type="button" class="btn btn-primary">Mudar status</button>
      </div>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>


  <?php $__env->stopSection(); ?>

 <?php $__env->startSection('scripts'); ?>
    <script>
        $(function () {
          $("#example1").DataTable({   
              "buttons": [{extend: "copy", text:'Copiar'}, "excel", "pdf", {extend: "print", text:"Imprimir"}],
              "responsive": true,
              "autoWidth": false,
              "oLanguage":{
                "sEmptyTable": "Nenhum registro encontrado",
                "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                "sInfoPostFix": "",
                "sInfoThousands": ".",
                "sLengthMenu": "_MENU_ Resultados por página",
                "sLoadingRecords": "Carregando...",
                "sProcessing": "Processando...",
                "sZeroRecords": "Nenhum registro encontrado",
                "sSearch": "Pesquisar ",
                "oPaginate": {
                      "sNext": "Próximo",
                      "sPrevious": "Anterior",
                      "sFirst": "Primeiro",
                      "sLast": "Último"
                }
              }
          }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
          $('#example2').DataTable({
              "paging": true,
              "lengthChange": false,
              "searching": false,
              "ordering": true,
              "info": true,
              "autoWidth": false,
              "responsive": true,
              "oLanguage":{
                "sEmptyTable": "Nenhum registro encontrado",
                "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
                "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
                "sInfoFiltered": "(Filtrados de _MAX_ registros)",
                "sInfoPostFix": "",
                "sInfoThousands": ".",
                "sLengthMenu": "_MENU_ Resultados por página",
                "sLoadingRecords": "Carregando...",
                "sProcessing": "Processando...",
                "sZeroRecords": "Nenhum registro encontrado",
                "sSearch": "Pesquisar ",
                "oPaginate": {
                      "sNext": "Próximo",
                      "sPrevious": "Anterior",
                      "sFirst": "Primeiro",
                      "sLast": "Último"
                }
              }
          });
        });
        function changeStatus(id){
          $('#submitClientStatus').attr('onclick', `submitStatus(${id})`)
          $('#modal-client').modal();
        }

        function submitStatus(id){
            var csrfToken = $('#csrf-token').val();
            var state = $('#stateSelect').val();
            var data = new FormData();
            data.append('state', state);
            data.append('id', id);
           
            fetch('<?php echo e(URL('clientes/changeStatus')); ?>', {
              method: 'post',
              body: data,
              headers: {
                  "X-CSRF-Token": csrfToken
              },       
            }).then(function(response){
                   location.reload();
                  //return response.json();
            }).then(function(json){

                // change course

            }).catch(function(error){


            });
           
        }
    </script>
 <?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\project-amigosdocaoracao\APPWEB\resources\views/clientes/show.blade.php ENDPATH**/ ?>