

<link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
<link rel="stylesheet" href="../bower_components/admin-lte/dist/css/style.css">

<?php $__env->startSection('content'); ?>
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Combustível</h1>
        </div>
      </div>
    </div>
  </section>

  <section class="content">
    <div class="container-fluid">
      <?php if(Session::has('flash_message')): ?>
        <div class="alert alert-success alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
          <?php echo e(Session::get('flash_message')); ?>

        </div>
      <?php endif; ?>
      <?php if(Session::has('error')): ?>
        <div class="alert alert-danger alert-dismissible">
          <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
          <?php echo e(Session::get('error')); ?>

        </div>
      <?php endif; ?>
      <div class="row">  
        <div class="col-md-12" style="float:none;margin:auto;">
          <div class="card card-default">
            <div class="card-header">
              <h3 class="card-title">Cadastro</h3>
            </div>
            <form id="combustivelForm" action="<?php echo e(URL('combustivel/store')); ?>" method="post" role="form">
              <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
              <div class="card-body">
                <div class="row">
                  <div class="col-12">
                    <div class="form-group">
                      <label>Solicitante</label>
                      <input type="text" class="form-control" name="lider_name" id="lider_name" required>
                    </div>
                    <div class="form-group">
                      <label>Placa</label>
                      <input type="text" class="form-control" id="placa" name="placa">
                    </div>   
                    <div class="form-group">
                      <label>Valor</label>
                      <input  type="number" class="form-control" name="valor" id="valor" value="0" required>
                    </div>
                  </div>
                </div>                
              </div>
              <div class="card-footer">
                <button type="button" onclick="submitCombustivel(0)" class="btn btn-primary">Salvar</button>
                <button type="button" onclick="submitCombustivel(1)" class="btn btn-success">Salvar e imprimir</button>
                <a href="<?php echo e(url('combustivel')); ?>" class="btn btn-default">Voltar</a>
              </div>
            </form>
          </div>           
        </div>
      </div>
    </div>
  </section>

<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>

  <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
  <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>

  <script>

    var availableTags = <?php echo json_encode($lider_name); ?>

    $( function() {
      $( "#lider_name" ).autocomplete({
        source: availableTags
      });
    } );

    function submitCombustivel(params) {
      if (document.getElementById("lider_name").value == '' ||
        document.getElementById("valor").value == '') {
          Swal.fire(
            'Atenção!',
            'Os campos solicitante e valor são obrigatórios.',
            'info'
          )
      } else if (availableTags.includes(document.getElementById("lider_name").value) == false) {
        Swal.fire(
          'Atenção!',
          'A liderança solicitante não está cadastrada.',
          'info'
        )
      } else {
        if (params == 0) {
          document.getElementById("combustivelForm").submit();
        } else {
          var csrfToken = $('#csrf-token').val();
          var data = new FormData();
          data.append('lider_name', document.getElementById("lider_name").value);
          data.append('placa', document.getElementById("placa").value)
          data.append('valor', document.getElementById("valor").value)
          
          fetch('<?php echo e(URL('combustivel/storePrint')); ?>', {
            method: 'post',
            body: data,
            headers: {
                "X-CSRF-Token": csrfToken
            },       
          }).then(function(response) {
            if(response.status == 200) {            
              return response.json();
            }
          }).then(function(json) {
            window.open("<?php echo e(url('combustivel/print')); ?>"+"/"+json.id, '_blank');
          }).catch(function(error) {
          });
        }
      }
    }

  </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bizybox/public_html/erasmoavila/resources/views/combustivel/create.blade.php ENDPATH**/ ?>