

<?php $__env->startSection('content'); ?>
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Trabalho social</h1>
          </div>
         
        </div>
      </div>
    </section>

    <section class="content">
      <div class="container-fluid">
        <?php if(Session::has('flash_message')): ?>
          <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <?php echo e(Session::get('flash_message')); ?>

          </div>
        <?php endif; ?>
        <?php if(Session::has('error')): ?>
          <div class="alert alert-danger alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <?php echo e(Session::get('error')); ?>

          </div>
        <?php endif; ?>
        <div class="row">  
          <div class="col-md-12" style="float:none;margin:auto;">
            <div class="card card-default">
              <div class="card-header">
                <h3 class="card-title"><b><i>Cadastro</b></i></h3>
              </div>
              <form id="socialForm"  action="<?php echo e(URL('sociais/store')); ?>" method="post" role="form">
                <input type="hidden" name="_token" id="csrf-token" value="<?php echo e(Session::token()); ?>" />
                <input type="hidden" name="eleitor_social" id="eleitor_social" />
                <div class="card-body">
                  <div class="row">
                    <div class="col-12">
                      <div class="form-group">
                        <label>Grupo</label>
                        <select class="form-control" name="grupo_id" id="grupo_id" required autofocus>
                          <?php if($grupos): ?>
                            <option value="#"></option>
                            <?php $__currentLoopData = $grupos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $grupo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                              <option value="<?php echo e($grupo->id); ?>"><?php echo e(($grupo->nome)); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                          <?php endif; ?>
                        </select>
                      </div>
                      <div class="form-group">
                        <label>Data empréstimo</label>
                        <input type="date" class="form-control" name="data_emprestimo" id="data_emprestimo">
                      </div>
                      <div class="form-group">
                        <label>Data devolução</label>
                        <input type="date" class="form-control" name="data_devolucao" id="data_devolucao">
                      </div>
                      <div class="form-group">
                        <label>Telefone liderança/eleitor</label>
                        <div class="input-group-prepend">
                          <input type="text" class="form-control" name="telefone" id="telefone">
                          <button type="button" class="btn btn-success" id="btGetPerson" onclick="getPerson()">Adicionar</button>
                        </div>
                      </div>
                      <div class="form-group">
                        <table id="tblPerson" class="table table-striped">
                          <thead>                
                            <tr>
                              <th>Liderança</th>
                              <th>Eleitor</th>
                              <th>Telefone</th>
                              <th style="text-align: right">Ações</th>
                            </tr>
                          </thead>
                          <tbody>
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>                
                </div>
                <div class="card-footer">
                  <button type="button" onclick="submitForm()" class="btn btn-primary">Salvar</button>
                  <a href="<?php echo e(url('sociais')); ?>" class="btn btn-default">Voltar</a>
                </div>
              </form>
            </div>           
          </div>
        </div>
      </div>
    </section>
<?php $__env->stopSection(); ?>  

<?php $__env->startSection('scripts'); ?>

    <script>

      var arrayPerson = []
      var objPerson = {}
      var controle = 0

      function submitForm() {
        document.getElementById("eleitor_social").value = JSON.stringify(arrayPerson)
        document.getElementById("socialForm").submit()
      }

      function getPerson() {
        if (document.getElementById("telefone").value == '') {
            Swal.fire(
              'Atenção!',
              'Os campo telefone é obrigatório.',
              'info'
            )
        } else if (arrayPerson.length > 0) {
          controle = 0
          arrayPerson.forEach(element => {
            if (element.whatsapp == document.getElementById("telefone").value) {
              Swal.fire(
                'Atenção!',
                'Telefone já adicionado a lista.',
                'info'
              )
              controle = 1
              return
            }
          });
          if (controle == 0) {
            mountSubmit()
          }
        } else {
          mountSubmit()
        }
      }

      function mountSubmit() {
        var csrfToken = $('#csrf-token').val();
          var data = new FormData();
          data.append('telefone', document.getElementById("telefone").value);
          fetch('<?php echo e(URL('sociais/getPerson')); ?>', {
            method: 'post',
            body: data,
            headers: {
                "X-CSRF-Token": csrfToken
            },       
          }).then(function(response) {
            if(response.status == 200) {    
              return response.json()
            }
          }).then(function(json) {
            if (json[0] == 'lider') {
              objPerson = {}
              objPerson.lideranca_id = json[1].id
              objPerson.eleitor_id = null
              objPerson.lideranca_nome = json[1].name
              objPerson.eleitor_nome = null
              objPerson.whatsapp = json[1].whatsapp
              arrayPerson.push(objPerson)

              var table = $('#tblPerson').DataTable();
              var arrayControle = []
              arrayControle = [
                json[1].name,
                '-',
                json[1].whatsapp,
                `<button type="button" class="btn btn-danger rounded-circle remove" 
                  title="Excluir" style="float: right"><i class="fa fa-trash"></i>
                </button>`]
              table.row.add( arrayControle ).draw();
              
              document.getElementById('telefone').value = ''
              document.getElementById('telefone').focus()

              Swal.fire({
                icon: 'success',
                title: 'Sucesso',
                showConfirmButton: false,
                timer: 1000
              })
            } else if (json[0] == 'eleitor') {
              objPerson = {}
              objPerson.lideranca_id = json[1].cabo_id
              objPerson.eleitor_id = json[1].id
              objPerson.lideranca_nome = json[1].acompanhante.name
              objPerson.eleitor_nome = json[1].name
              objPerson.whatsapp = json[1].phone
              arrayPerson.push(objPerson)

              var table = $('#tblPerson').DataTable();
              var arrayControle = []
              arrayControle = [
                json[1].acompanhante.name,
                json[1].name,
                json[1].phone,
                `<button type="button" class="btn btn-danger rounded-circle remove" 
                  title="Excluir" style="float: right"><i class="fa fa-trash"></i>
                </button>`]
              table.row.add( arrayControle ).draw();
              
              document.getElementById('telefone').value = ''
              document.getElementById('telefone').focus()

              Swal.fire({
                icon: 'success',
                title: 'Sucesso',
                showConfirmButton: false,
                timer: 1000
              })
            } else {
              Swal.fire(
                'Atenção!',
                'Telefone não encontrado.',
                'error'
              )
            }
          }).catch(function(error) {
        });
      }

      $(function () {
        $("#tblPerson").DataTable({
          "responsive": true,
          "autoWidth": false,
          "oLanguage":{
            "sEmptyTable": "Nenhum registro encontrado",
            "sInfo": "Mostrando de _START_ até _END_ de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando 0 até 0 de 0 registros",
            "sInfoFiltered": "(Filtrados de _MAX_ registros)",
            "sInfoPostFix": "",
            "sInfoThousands": ".",
            "sLengthMenu": "_MENU_ Resultados por página",
            "sLoadingRecords": "Carregando...",
            "sProcessing": "Processando...",
            "sZeroRecords": "Nenhum registro encontrado",
            "sSearch": "Pesquisar ",
            "oPaginate": {
              "sNext": "Próximo",
              "sPrevious": "Anterior",
              "sFirst": "Primeiro",
              "sLast": "Último"
            }
          }
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');

        var input = document.getElementById("telefone")
        input.addEventListener("keypress", function(event) {
          if (event.key === "Enter") {
            event.preventDefault()
            document.getElementById("btGetPerson").click()
          }
        })

        $("input[id*='telefone']").inputmask({
          mask: ['(99) 99999-9999'],
          keepStatic: true
        });

        $('#tblPerson').on('click', '.remove', function () {
          Swal.fire({
            title: 'Atenção',
            text: "Tem certeza que deseja excluir?",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Confirmar',
            cancelButtonText: 'Cancelar',
          }).then((result) => {
            if (result.isConfirmed) {
              let table = $('#tblPerson').DataTable();
              let row = $(this).parents('tr');
              let delPhone = table.row($(row)).data()[2]
              if ($(row).hasClass('child')) {
                table.row($(row).prev('tr')).remove().draw();
              } else {
                table
                  .row($(this).parents('tr'))
                  .remove()
                  .draw();
              }
              arrayPerson = arrayPerson.filter(function(value, index, arr){ 
                return value.whatsapp != delPhone;
              });
            }
          })
        });

      })

    </script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('masterpage.masterpage', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/bizybox/public_html/erasmoavila/resources/views/sociais/create.blade.php ENDPATH**/ ?>